=== release 1.20.0 ===

2022-02-03 19:53:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* README:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.20.0

2022-02-03 19:53:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.0

2022-02-02 18:06:49 +1100  Matthew Waters <matthew@centricular.com>

	* gst/gst.c:
	* gst/gst_private.h:
	* gst/gstpluginloader.c:
	* gst/gstregistry.c:
	  registry/macos: retrieve plugins relative to location of libgstreamer.dylib
	  Provides a relocatable directory structure for running GStreamer
	  applications as used in GStreamer.framework.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1627>

=== release 1.19.90 ===

2022-01-28 14:28:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.19.90

2022-01-28 14:28:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.90

2021-12-23 00:24:03 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: don't forward reconfigure events
	  Those will cause us to renegotiate at the next aggregate cycle,
	  and while at that point we may decide to reconfigure upstream
	  branches (in practice we don't as this is inherently racy,
	  and that's the reason why mixer subclasses perform conversion
	  internally), we certainly don't want to just forward the event
	  willy-nilly to all our sinkpads.
	  An actual issue this is fixing is when caps downstream of a
	  compositor are changed at every samples-selected signal emission,
	  for the purpose of interpolating the output geometry, and the
	  compositor has a non-zero latency, the reconfigure events were
	  forwarded to basesrc, which triggered an allocation query, which
	  in turn caused aggregator to have to drain (thus not being able
	  to queue <latency> frames), leading to disastrous effects
	  (choppy output as compositor couldn't consume frames fast enough,
	  the higher the latency the choppier the output)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1464>

2022-01-27 01:37:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/LINGUAS:
	* po/de.po:
	* po/fr.po:
	* po/ro.po:
	  gstreamer: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1579>

2022-01-26 02:46:49 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstplugin.c:
	  gstplugin: Fix for UWP build
	  SetThreadErrorMode() API is available on UWP but flag values
	  are desktop API only. Since error dialogs don't exist on UWP,
	  we don't need to suppress it
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1569>

2022-01-20 10:59:56 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstcapsfeatures.c:
	  gstreamer: capsfeatures: Fix docs of `gst_caps_features_new_single()`
	  They were just a copy of the `new_any()` docs before.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1542>

2022-01-19 20:58:36 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstplugin.c:
	  gstplugin: Better warnings on plugin load failure on Windows
	  It is an extremely common mistake on Windows to have incorrect PATH
	  values when loading a plugin, and the error from g_module_error()
	  (which just calls FormatMessageW()) is very confusing in this case:
	  The specified module could not be found.
	  https://docs.microsoft.com/en-us/windows/win32/debug/system-error-codes--0-499-#ERROR_MOD_NOT_FOUND
	  It implies the plugin itself could not be found. The actual issue is
	  that a DLL dependency could not be found. We need to detect this case
	  and print a more useful error message.
	  We should still print the error fetched from FormatMessage() so that
	  people are able to google for it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1540>

2022-01-14 04:45:08 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstpluginfeature.c:
	  pluginfeature: Fix object leak
	  Need to release GstPluginFeature object after use
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1521>

2022-01-05 02:07:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	* gst/parse/meson.build:
	* meson.build:
	  meson: Add explicit check: kwarg to all run_command() calls
	  This is required since Meson 0.61.0, and causes a warning to be
	  emitted otherwise:
	  https://github.com/mesonbuild/meson/commit/2c079d855ed87488bdcc6c5c06f59abdb9b85b6c
	  https://github.com/mesonbuild/meson/issues/9300
	  This exposed a bunch of places where we had broken run_command()
	  calls, unnecessary run_command() calls, and places where check: true
	  should be used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1507>

2021-12-20 21:43:25 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  audio: Add logging that was useful in figuring out the last commit
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1461>

2021-12-08 12:27:04 +0100  Corentin Noël <corentin.noel@collabora.com>

	* gst/gstelementfactory.c:
	  elementfactory: Annotate create_full and make_full to take arrays
	  We need the array annotation for it to be usable from the introspection side.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1427>

2018-04-25 14:30:51 +0200  Danny Smith <dannys@axis.com>

	* libs/gst/net/gstnetclientclock.c:
	  gstnetclockclient: signal lost sync if remote time resets
	  When detecting the remote time has been reset which may occur if remote
	  device providing the clock server has been power reset, then clock is
	  no longer synced. Setting clock state will trigger a signal to client
	  informing on sync lost making it possibility to take appropriate action.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/975>

2021-11-26 10:13:08 +0100  Corentin Noël <corentin.noel@collabora.com>

	* libs/gst/base/gstbasesink.h:
	  basesink: Add missing annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1392>

2021-11-26 10:12:50 +0100  Corentin Noël <corentin.noel@collabora.com>

	* libs/gst/base/gstpushsrc.h:
	  pushsrc: Add missing annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1392>

2021-11-26 10:12:32 +0100  Corentin Noël <corentin.noel@collabora.com>

	* libs/gst/base/gstbitwriter.c:
	  bitwriter: Add missing annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1392>

2021-11-26 10:11:53 +0100  Corentin Noël <corentin.noel@collabora.com>

	* libs/gst/base/gstbaseparse.c:
	* libs/gst/base/gstbaseparse.h:
	  baseparse: Add missing annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1392>

2021-11-23 08:08:36 +0100  Corentin Noël <corentin.noel@collabora.com>

	* libs/gst/base/gstbasesrc.h:
	  basesrc: Add annotation to virtual methods with (out) parameters
	  This allows to actually use these virtual methods from the GObject introspection.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1376>

2021-10-21 19:04:43 +0900  Seungha Yang <seungha@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	* gst/gstelement.c:
	* gst/gstelementfactory.c:
	* gst/gstelementfactory.h:
	  gst: Add APIs to allow documentation for element to be skipped
	  Dynamically registered elements (hardware element in most cases)
	  may or may not be available on a system and properties may be different
	  per system.
	  This new API will make documentation skipping possible in programmable way.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1360>

2021-11-16 18:05:09 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstinfo.c:
	* gst/gstinfo.h:
	  gstinfo: Add gst_debug_log_literal() function
	  This takes a plain message string and not a format string, and as a
	  result doesn't have to be passed through vasprintf() and lead to further
	  unnecessary allocations. It can also contain literal `%` because of
	  that.
	  The new function is mostly useful for bindings that would have to pass a
	  full string to GStreamer anyway and would do formatting themselves with
	  language-specific functionality.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1356>

2021-11-15 11:04:25 +0100  Daniel Knobe <daniel-knobe@web.de>

	* gst/gstcaps.c:
	  caps: fix type of return value if string is null in gst_caps_from_string
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1348>

2021-11-11 19:11:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/gst.c:
	* gst/gstelementfactory.c:
	* gst/gstinfo.c:
	* gst/gstiterator.c:
	* gst/gstmessage.c:
	* gst/gstpadtemplate.c:
	* gst/gstquery.c:
	* gst/gsttypefindfactory.c:
	* libs/gst/base/gstbasesink.c:
	* libs/gst/base/gstbasesrc.c:
	  docs: fix unnecessary ampersand, < and > escaping in code blocks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1340>

2021-11-08 15:28:06 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstbin.c:
	  bin: Don't check twice for adding a bin to itself or removing it from itself
	  This is already covered by a `g_return_val_if_fail()` in the calling
	  function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1320>

2021-11-08 15:30:18 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstbin.c:
	  bin: Switch `g_warning()`s to `GST_WARNING_OBJECT()`s when adding/removing an element to a bin fails
	  The failure conditions can be overidden by subclasses, and a boolean
	  return value is provided to the caller whether adding/removing the child
	  element has actually worked. The caller can then handle this
	  accordingly but flooding stderr with this is not very useful.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1320>

2021-09-24 08:19:51 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/gstinfo.c:
	  gstinfo: Fix leak in generate_backtrace_trace
	  Spotted by Laurent Pinchart.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/901>

2021-11-04 13:24:57 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* libs/gst/helpers/gst-ptp-helper.c:
	  gst-ptp-helper: Do not disable multicast loopback
	  Otherwise we cannot run gst-ptp-helper if the PTP master is on the
	  same device.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1306>

2021-11-04 09:30:31 +0000  Marcin Kolny <marcin.kolny@gmail.com>

	* plugins/elements/gsttypefindelement.c:
	  typefind: fix reading file extension from URI
	  Currently reading extension relies on the fact that everything after the
	  last"." character is a file extension. Whereas that works fine for most
	  of the cases, it breaks when the URI contains a query part.
	  E.g.: `http://url.com/file.mp4?param=value` returns `mp4?param=value`
	  instead of `mp4`.
	  In this commit we use URI parser to read the path of the URI (in the example
	  above, that is `/file.mp4`) and read extension from that path.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1305>

2021-11-03 18:44:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.3 ===

2021-11-03 15:43:36 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.19.3

2021-11-03 15:43:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.3

2021-10-30 00:34:35 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstinfo.c:
	  Use g_pattern_spec_match() instead of g_pattern_match() which is deprecated since glib 2.70
	  Fixes compiler warnings with glib 2.70
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1279>

2021-10-29 13:27:37 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* plugins/elements/gstidentity.c:
	  identity: Fix crash when receiving a gap event outside the current segment
	  We were checking if the start time of the gap event was
	  GST_CLOCK_TIME_NONE, which is superfluous because that cannot happen,
	  and then not checking if it was NONE after gst_segment_to_running_time,
	  which caused a crash if an identity received a gap event fully or
	  partially outside the current segment.
	  This patch was done in cooperation with:
	  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1269>

2021-10-25 21:55:25 +0200  Ruben Gonzalez <rgonzalez@fluendo.com>

	* gst/gstdevicemonitor.c:
	  devicemonitor: g_queue_clear_full introduced in glib 2.60
	  The GStreamer dependency is glib >=2.56.0. Therefore, define
	  g_queue_clear_full if glib < 2.60.
	  Issue added in commit 1912bcbc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1251>

2021-10-19 13:39:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstdevicemonitor.c:
	  devicemonitor: Only fail start() if no provider at all could be started
	  Also refactor various internals of the monitor code:
	  - Don't allow starting twice but just return directly when starting a
	  second time.
	  - Don't end up in an inconsistent state if call start() a second time
	  while the monitor is starting up.
	  - Remove complicated cookie code: it was not possible to add/remove
	  filters while the monitor was started anyway so this was only useful
	  in the very small time-window while starting the monitor or while
	  getting the devices. Instead disallow adding/removing filters while
	  the monitor is starting, and when getting devices work on a snapshot
	  of providers/filters.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/667
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1189>

2021-10-25 01:01:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/af.po:
	* po/ast.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/ko.po:
	* po/lt.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  gstreamer: update translations
	  Fixes #656
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1240>

2021-10-22 11:00:06 -0400  Pascal Hache <hacpa@touchtunes.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: fix invalid avg_bitrate after reset
	  gst_base_parse_reset() does not reset data_bytecount to 0, so
	  gst_base_parse_update_bitrates() uses a wrong value to calculate
	  the average bitrate on subsequent pipeline starts. This leads to an
	  excessive amount of "tag" events being pushed. These events include
	  very high "bitrate" values that diminish over time, and are produced
	  until the average bitrate is back to sane values.
	  Fixes #840
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1228>

2021-10-20 11:20:13 +0200  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* plugins/elements/gstconcat.c:
	  concat: fix qos event handling
	  We were shadowing the sinkpad variable resulting in:
	  - the QoS event to be send to all sink pads instead of the active one
	  - the pad to be leaked
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1208>

2021-10-18 16:55:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/parse/meson.build:
	* libs/gst/helpers/meson.build:
	  meson: fix use of deprecated meson api external_program.path()
	  Just using .full_path() instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-18 15:47:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/meson.build:
	* tests/validate/meson.build:
	  meson: update for meson.build_root() and .build_source() deprecation
	  -> use meson.project_build_root() or .global_build_root() instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-18 00:40:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: update for dep.get_pkgconfig_variable() deprecation
	  ... in favour of dep.get_variable('foo', ..) which in some
	  cases allows for further cleanups in future since we can
	  extract variables from pkg-config dependencies as well as
	  internal dependencies using this mechanism.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-18 00:03:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: clean up conditional paths after version bump
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-05-28 07:54:32 +0200  Edward Hervey <edward@centricular.com>

	* gst/gststreams.c:
	  stream: Set the object name to the stream id
	  Makes it more meaningful in debug logs (instead of streamNNNNN)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1187>

2021-10-19 10:24:42 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* gst/meson.build:
	  Revert "meson: Link to objects instea of static helper library"
	  This reverts commit b19de413b94d228b1460b0899f9b41b2b5233943.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1194>

2021-10-17 11:39:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tools/meson.build:
	  tools: Define G_LOG_DOMAIN for various tools as well
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1009>

2021-10-01 15:29:36 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gst.c:
	* gst/gst_private.h:
	* gst/meson.build:
	* libs/gst/base/meson.build:
	* libs/gst/check/meson.build:
	* libs/gst/controller/meson.build:
	* libs/gst/net/meson.build:
	  gstreamer: define G_LOG_DOMAIN for all libraries
	  And get rid of weird way the define was done for core.
	  Fixes #634
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1009>

2021-10-06 01:30:03 +0100  Tim-Philipp Müller <tim@centricular.com>

	* libs/gst/check/gstcheck.c:
	  libs: check: handle criticals and warnings for new gstreamer log domains
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1009>

2021-10-18 15:56:31 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	  aggregator: expose API for ignoring inactive pads
	  An inactive pad is a pad which, in live mode, hasn't yet received
	  a first buffer, but has been waited on at least once.
	  Exposing API to support this behaviour allows users of aggregator
	  subclasses to request pads, and not start pushing data on those
	  immediately, while avoiding systematic timeouts.
	  Subclasses must check in explicitly to this behavior, most likely
	  by exposing a user-facing property, and must check whether a pad
	  needs ignoring when aggregating. That is because by design,
	  aggregator subclasses don't get a list of "ready" pads, but instead
	  directly iterate element->sinkpads.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/867>

2021-10-14 18:38:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump meson requirement to >= 0.59
	  For monorepo build and ugly/bad, for advanced feature
	  option API like get_option('xyz').required(..) which
	  we use in combination with the 'gpl' option.
	  For rest of modules for consistency (people will likely
	  use newer features based on the top-level requirement).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1084>

2020-06-27 00:39:00 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	* gst/meson.build:
	* libs/gst/base/meson.build:
	* libs/gst/check/libcheck/meson.build:
	* libs/gst/check/meson.build:
	* libs/gst/controller/meson.build:
	* libs/gst/net/meson.build:
	* meson.build:
	  meson: List libraries and their corresponding gir definition
	  Introduces a `libraries` variable that contains all libraries in a
	  list with the following format:
	  ``` meson
	  libraries = [
	  [pkg_name, {
	  'lib': library_object
	  'gir': [ {full gir definition in a dict } ]
	  ],
	  ....
	  ]
	  ```
	  It therefore refactors the way we build the gir so that we can reuse the
	  same information to build them against 'gstreamer-full' in gst-build
	  when linking statically
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1093>

2020-06-27 00:37:39 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/meson.build:
	* libs/gst/base/meson.build:
	* libs/gst/check/libcheck/meson.build:
	* libs/gst/check/meson.build:
	* libs/gst/controller/meson.build:
	* libs/gst/net/meson.build:
	  meson: Mark files as files()
	  Making it more robust and future proof
	  And fix issues that it creates
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1093>

2021-10-08 13:56:02 +0300  Veronika Kremneva <kremneva@synopsys.com>

	* gst/gstconfig.h.in:
	  gstreamer/gst/gstconfig.h.in: Add support for ARC64 architecture
	  Signed-off-by: Veronika Kremneva <kremneva@synopsys.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1161>

2021-09-25 23:51:52 -0300  Thibault Saunier <tsaunier@igalia.com>

	* tests/check/libs/aggregator.c:
	  tests: aggregator: Take `TIMEOUT_FACTOR` env var into account
	  This env var is set in the CI so we grow the timeout as required
	  (when running in valgrind for example).
	  Trying to avoid hitting wrong timeout in valgrind job like in:
	  https://gitlab.freedesktop.org/tpm/gstreamer/-/jobs/14009456
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-01 23:36:39 +0900  Seungha Yang <seungha@centricular.com>

	* tests/check/gst/gstmeta.c:
	  tests: gstmeta: Fix failure on Windows
	  Windows doesn't support fork so every test will be performed in
	  one process. So the test_meta_custom_transform() is being
	  failed because "test-custom" custom meta is being used/defined in
	  another test test_meta_custom() as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1086>

2021-09-23 17:07:09 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* tools/meson.build:
	  meson: Fix gst-launch build on UWP
	  The APIs we need from WinMM for higher timer resolution are only
	  available for non-UWP apps. The winmm library itself is still
	  available, so we need to disable the check.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/890>

2021-10-05 08:51:08 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* tools/gst-indent:
	  ci: Fix gst-indent path
	  It used to be downloaded into PATH, but we can now instead run it from
	  git. Also move it to top source dir instead of gstreamer subproject.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/931>

2021-09-24 15:24:15 +0200  Robert Rosengren <robertr@axis.com>

	* docs/gst/running.md:
	  docs/running: Describe GST_REGISTRY_MODE
	  Change-Id: I45e9fe90137d4a8306c3a5e4f636fa43425b978f
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/825>

2021-05-10 12:50:18 +0200  Robert Rosengren <robertr@axis.com>

	* gst/gstregistrybinary.c:
	  registrybinary: registry file mode via GST_REGISTRY_MODE
	  In an embedded system where all services run as seperate users it is
	  useful to have the gstreamer registry readable by all so it can be
	  re-used, in similar manner as a host system where one user have seperate
	  applications running but all share same registry.
	  To make this possible introducing GST_REGISTRY_MODE for adjusting the
	  changing mode of the registry binary when finishing up with the
	  temporary file (which has restricted access).
	  Fixes: #692
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/825>

2021-10-04 13:49:44 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: Fix query unref race on flush
	  If the query has already been destroyed at this point, GST_IS_QUERY will
	  read garbage, can return false and we will try to unref it again.
	  Instead, make note of whether the item is a query when we dequeue it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1029>

2021-09-29 11:23:38 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* plugins/tracers/gstfactories.c:
	  core: remove outdated mention to gst-build
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/956>

2021-09-28 10:11:15 +1000  Brad Hards <bradh@frogmouth.net>

	* README:
	* RELEASE:
	  doc: update IRC links to OFTC
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/945>

2021-09-25 18:48:22 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst/running.md:
	  gstreamer: docs: document GST_DEBUG env var evaluation order
	  Fixes #716
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/923>

2021-09-26 01:07:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/925>

2021-09-25 01:53:35 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstbin.c:
	* gst/gstvalue.h:
	  docs: link to concrete types rather than type macros
	  Latest hotdoc version extended the ignored, boilerplate macros
	  to now include TYPE macros for records as well
	  Linking to the concrete type is more informative
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/913>

=== release 1.19.2 ===

2021-09-23 01:32:32 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.19.2

2021-06-23 16:41:20 +0300  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstclocksync.c:
	  clocksync: Add some debug output to the clock waiting code
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/841>

2021-09-20 13:12:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstevent.c:
	* gst/gstmessage.c:
	  gst: Initialize optional event/message fields when parsing
	  These might not exist inside the structure and then we would potentially
	  keep around uninitialized memory from the caller in the out parameter.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/887>

2021-09-19 21:01:21 +0800  He Junyan <junyan.he@intel.com>

	* tests/check/libs/bitwriter.c:
	  test: bitwriter: Add a test for reset_and_get_data when not byte unaligned.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/886>

2021-09-19 22:39:09 +0800  He Junyan <junyan.he@intel.com>

	* libs/gst/base/gstbitwriter.c:
	  bitwriter: Fix a memory leak in reset_and_get_buffer.
	  We should record the ownership of the data before we reset the bitwriter.
	  Or we will always dup the buffer data and leak the memory.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/886>

2021-09-19 00:19:43 +0800  He Junyan <junyan.he@intel.com>

	* libs/gst/base/gstbitwriter.c:
	  bitwriter: Fix the trailing bits lost when getting its data.
	  In reset_and_get_data and reset_and_get_buffer, it fails to include
	  the trailing bits less than 8. So, when the bit_size is not byte
	  aligned, the trailing bits are lost in the return buffer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/886>

2021-09-10 01:43:18 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: fix obsolete comment re initial flow status
	  The initial single queue srcresult is OK, it hasn't been
	  NOT_LINKED since 2007.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/885>

2021-09-09 20:25:25 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: never consider a queue that is not waiting
	  .. when computing the high id.
	  After a flush for instance, sq->srcresult is reset to OK,
	  yet it doesn't make sense to pick a non-existing position
	  id as the high id when a queue doesn't contain any items
	  in that situation either.
	  It is in any case completely OK to let the not-linked stream
	  get consumed without throttling at this stage, as any
	  first packet arriving on other single queues will get assigned
	  a higher position id.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/885>

2021-09-09 04:08:22 +0000  Andika Triwidada <andika@gmail.com>

	* tools/gst-inspect.c:
	  add missing space
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/884>

2021-09-06 01:43:57 +1000  Jan Schmidt <jan@centricular.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: Use running time of gap events for wakeups.
	  Use gap events to update the next_time of a queue the same
	  as buffers or segment events. Fixes problems where a group
	  consisting only of sparse streams primarily driven by
	  gap events would stall with a full multiqueue because
	  unlinked streams in the group were not being woken to
	  push data.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/879>

2021-08-27 13:51:07 +1000  Matthew Waters <matthew@centricular.com>

	* gst/gstelement.c:
	  element: NULL the lists of contexts in dispose()
	  If dispose() is called more than once, we may double unref the list of
	  GstContext's.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/875>

2021-08-24 14:53:30 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/gstpad.c:
	  pad: Keep IDLE probe hook alive during immediate callback
	  When the probe returns GST_PAD_PROBE_REMOVE and gets called concurrently
	  from the streaming thread while we're in the callback here, the hook has
	  already been destroyed by the time we've reacquired the object lock.
	  Consequently, cleanup_hook gets passed an invalid pointer.
	  Keep another reference to the hook alive to avoid this situation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/873>

2021-08-20 16:34:16 +0200  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstconcat.c:
	  concat: Properly propagate seqnum of segment events
	  Was broken by https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/819
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/871>

2021-01-10 23:37:21 +0100  Théo MAILLART <tmaillart@gmail.com>

	* tests/check/gst/gstelementfactory.c:
	  tests: elementfactory: add element creation tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/736>

2021-01-29 20:36:51 +0100  Théo MAILLART <tmaillart@gmail.com>

	* gst/gstelementfactory.c:
	* gst/gstelementfactory.h:
	  elementfactory: enable construct only property passing
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/736>

2021-03-31 18:36:00 -0400  Olivier Crête <olivier.crete@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	* plugins/tracers/gstfactories.c:
	* plugins/tracers/gstfactories.h:
	* plugins/tracers/gsttracers.c:
	* plugins/tracers/meson.build:
	* tools/gst-stats.c:
	  tracer: Add new tracer to list loaded elements and other features
	  This new tracer will list loaded elements and plugins. This should
	  make it easier to generate minimal builds of GStreamer.
	  This also traces other features such as typefind functions, device
	  providers and dynamic types.
	  The format of the output of gst-stats should match the parameters
	  expected by the meson based gst-build system.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/782>

2021-04-23 15:34:26 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/gstpluginfeature.c:
	* gst/gsttracerutils.c:
	* gst/gsttracerutils.h:
	  tracers: Add tracepoint when a plugin feature it loaded
	  This makes it possible to trace which ones are loaded in a specific
	  program to make nice statistics.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/782>

2021-08-18 10:23:38 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstpad.c:
	* tests/check/gst/gstpad.c:
	  pad: Ensure last flow return is set on sink pads in push mode
	  The last flow return field was never updated on sink pads in push mode. This
	  fixes it and makes it consistent.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/868>

2021-08-13 19:21:41 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstbuffer.c:
	  gstbuffer: Use g_memdup2 instead of g_memdup
	  This was added in !826 which was created after !803 (which changes
	  g_memdup -> g_memdup2), but merged before it, so it slipped through.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/866>

2021-08-10 13:35:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstplugin.c:
	  plugin: load plugins with unknown license strings
	  We shouldn't fail to load plugins just because we don't
	  recognise the license string. It's not our job to validate
	  licenses, and the license list is outdated and ambiguous
	  anyway.
	  Also add MPL-2.0 to the list, and fix some defunct license
	  URLs in the code comments.
	  Get rid of the hard-coded skip index, doesn't really buy us
	  much versus just skipping with a few strlens, and is harder
	  to maintain.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/864>

2021-08-02 14:23:58 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* plugins/elements/gstidentity.c:
	  identity: provide a log to check the buffers
	  In order to not rely only on app to display the
	  message from identity, display the message in the logs
	  too.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/863>

2021-08-01 03:36:31 +0900  Seungha Yang <seungha@centricular.com>

	* tests/examples/controller/controller-graph.c:
	  examples: controller-graph: Fix build with MSVC
	  To use macros in math.h, one needs to define _USE_MATH_DEFINES
	  before including the math.h file. Use glib's math define instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/862>

2021-05-12 00:54:43 +0900  Seungha Yang <seungha@centricular.com>

	* tools/gst-launch.c:
	* tools/meson.build:
	  gst-launch: Enable Windows high-resolution clock
	  Default timer precision of Windows is dependent on system, but
	  usually it's known to be about 15ms in worst case.
	  That's not an enough precision for multimedia application.
	  Enable high-resolution clock in gst-launch to demonstrate
	  the usage of Windows high-precision clock for application developers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/817>

2021-07-23 16:20:20 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* plugins/elements/gstinputselector.c:
	  input-selector: Use proper segments when cleaning cached buffers
	  We need to use the segment associated with the cached buffer, not the
	  current segment of the pad, otherwise we miscalculate the running time
	  of cached buffers from before a segment change.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/859>

2021-07-20 09:51:04 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* .gitlab/issue_templates/Bug.md:
	  gitlab: update bug template
	  Finetune the bug description.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/854>

2021-05-09 11:45:49 +0800  Zhao, Gang <gang.zhao.42@gmail.com>

	* gst/gsturi.c:
	  gsturi: Set GError if uri is invalid
	  GError should be set if function call failed and the failed reason is
	  not a programmer error.
	  Fixed: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1380
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/816>

2021-05-09 11:13:48 +0800  Zhao, Gang <gang.zhao.42@gmail.com>

	* gst/gsturi.c:
	  gsturi: Don't treat invalid format of uri as critical error
	  Normally uri is get from user input and invalid user input should not
	  be treated as critical error. Moved gst_uri_is_valid outside of
	  g_return_val_if_fail.
	  NULL uri is checked inside of gst_uri_is_valid and is correctly
	  treated as critical error, removed unneeded checks of NULL uri outside
	  of gst_uri_is_valid function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/816>

2021-07-20 16:52:12 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: Restore default clock mode to monotonic for non-linux system
	  Before the MR https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/829
	  Windows and macOS system clock used monotonic clock regardless of
	  selected clock mode. And because of clock resolution, we should prefer
	  monotonic over realtime unless realtime clock is selected explicitly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/855>

2021-07-07 20:11:13 +0900  Seungha Yang <seungha@centricular.com>

	* libs/gst/base/gstbasesink.c:
	  basesink: Don't swap rstart/rstop when stepping
	  Step handling is implemented based on unmodified start/stop
	  segment running time, and basesink takes rate into account for
	  stepping. This commit is partially undoing new behavior introduced by
	  the commit of 39b9cc554c960fec8d41f8394c41390883cadeed when stepping.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/848>

2021-07-19 20:04:16 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* libs/gst/net/gstptpclock.c:
	  gstptpclock: Don't leak the GList
	  120 bytes in 5 blocks are definitely lost in loss record 7,615 of 9,510
	  at 0x484486F: malloc (vg_replace_malloc.c:380)
	  by 0x58A2938: g_malloc (gmem.c:106)
	  by 0x58BA1F4: g_slice_alloc (gslice.c:1069)
	  by 0x588F059: g_list_prepend (glist.c:335)
	  by 0x5B9C5C0: select_best_master_clock (gstptpclock.c:756)
	  by 0x5B9CA8E: cleanup_cb (gstptpclock.c:1930)
	  by 0x589AD20: g_timeout_dispatch (gmain.c:4889)
	  by 0x589A4CE: UnknownInlinedFun (gmain.c:3337)
	  by 0x589A4CE: g_main_context_dispatch (gmain.c:4055)
	  by 0x58EE4E7: g_main_context_iterate.constprop.0 (gmain.c:4131)
	  by 0x5899A92: g_main_loop_run (gmain.c:4329)
	  by 0x5B9BA4C: ptp_helper_main (gstptpclock.c:1980)
	  by 0x58C8C31: g_thread_proxy (gthread.c:826)
	  576 bytes in 24 blocks are definitely lost in loss record 8,782 of 9,510
	  at 0x484486F: malloc (vg_replace_malloc.c:380)
	  by 0x58A2938: g_malloc (gmem.c:106)
	  by 0x58BA1F4: g_slice_alloc (gslice.c:1069)
	  by 0x588F059: g_list_prepend (glist.c:335)
	  by 0x5B9C5C0: select_best_master_clock (gstptpclock.c:756)
	  by 0x5B9EFA0: handle_announce_message (gstptpclock.c:934)
	  by 0x5B9EFA0: handle_ptp_message (gstptpclock.c:1765)
	  by 0x5B9EFA0: have_stdin_data_cb (gstptpclock.c:1851)
	  by 0x589A4CE: UnknownInlinedFun (gmain.c:3337)
	  by 0x589A4CE: g_main_context_dispatch (gmain.c:4055)
	  by 0x58EE4E7: g_main_context_iterate.constprop.0 (gmain.c:4131)
	  by 0x5899A92: g_main_loop_run (gmain.c:4329)
	  by 0x5B9BA4C: ptp_helper_main (gstptpclock.c:1980)
	  by 0x58C8C31: g_thread_proxy (gthread.c:826)
	  by 0x5DA4298: start_thread (pthread_create.c:481)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/852>

2021-07-06 13:04:04 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstpad.c:
	  gstpad: Don't spam INFO when default-chaining a buffer list
	  This is being logged for each buffer, so it should not use INFO.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/853>

2021-06-15 10:23:33 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* .gitlab/issue_templates/Bug.md:
	  gitlab: add bug template
	  To clarify what is expected in an issue description and avoid
	  issue which is just an usage issue, add a bug template in gitlab.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/836>

2021-07-08 11:48:58 +0200  Kasper Steensig Jensen <kasper.steensig@gmail.com>

	* meson_options.txt:
	  Add meson description for tracer_hooks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/849>

2020-05-28 08:06:59 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstinfo.c:
	  gstinfo: Improve usage of libdw for backtraces
	  When getting backtraces, we were always creating a new Dwfl context and then
	  discarding it. The problem with that is that it resulted in having to re-scan a
	  lot of information for every single backtrace.
	  In order to fix that issue, use a global on-demand Dwfl context and use it with
	  a lock.
	  Furthermore, we were scanning the mappings of the
	  process (dwfl_linux_proc_report) for *every single step* in the backtrace, and
	  that function is horrendously expensive (does sscanf on /proc/PID/maps
	  ...). While there is a possibility that new mappings might be available (new
	  plugins being loaded for example), we can limit ourselves to just do it once per
	  backtrace.
	  These two modifications speed up the elements_leaks unit test (which traces all
	  pads with full backtraces) by a factor of 6.
	  Partially fixes #567
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/504>

2021-07-02 01:59:18 +1000  Jan Schmidt <jan@centricular.com>

	* gst/parse/grammar.y.in:
	  parse: Fix a critical when using the : operator.
	  Fix "has no handler with id" output criticals when the :
	  multilink operator is used. These were caused by disconnecting
	  a signal handler multiple times.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/846>

2021-06-24 11:28:28 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbasesink.c:
	* tests/check/gst/gstbin.c:
	* tests/check/pipelines/cleanup.c:
	* tests/check/pipelines/simple-launch-lines.c:
	  basesink: Post a latency message whenever we're ready to answer the query
	  Usually the latency message is only posted whenever latency of an
	  element changes but that might be too early as the sinks might not be
	  able to query the latency at that point yet.
	  Similarly adding a new sink should cause latency reconfiguration once
	  that new sink is able to report its latency.
	  This fixes latency configuration in pipelines where webrtcbin is the
	  only "sink", i.e. it is used in a sendonly session. Before, the latency
	  would always be configured to 0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/843>

2021-06-24 10:00:28 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbasesrc.c:
	  basesrc: Print segments with GST_SEGMENT_FORMAT and not GST_PTR_FORMAT
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/842>

2021-06-22 13:02:41 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/gstpreset.c:
	* gst/gstregistry.c:
	  Fix GI annotations.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/840>

2021-06-15 08:10:16 +0000  Corentin Damman <c.damman@intopix.com>

	* COPYING:
	  Update COPYING to LGPL 2.1
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/835>

2021-06-09 02:35:00 +1000  Jan Schmidt <jan@centricular.com>

	* gst/parse/grammar.y.in:
	  parse: Don't do delayed property setting for top-level properties.
	  If a property is supplied to gst-launch-1.0 to set on a property that
	  implements GstChildProxy, it would always accept any property name
	  and try to set it later. This means that (for example) decodebin
	  will accept and not complain about property names that can never exist like:
	  gst-launch-1.0 videotestsrc ! decodebin NON-EXISTING_PROPERTY=adsfdasf ! fakesink
	  Instead, only try to do deferred property setting for property names
	  that contain the :: separator that indicates it's a setting on a child
	  that might appear later.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/832>

2021-06-16 11:59:20 +0200  François Laignel <fengalin@free.fr>

	* gst/gstclock.c:
	* gst/gstcontrolbinding.c:
	* gst/gstcontrolsource.c:
	* gst/gstelement.c:
	* gst/gstevent.c:
	* gst/gstmessage.c:
	* libs/gst/base/gstbaseparse.c:
	* libs/gst/base/gstbasesink.c:
	* libs/gst/base/gstbasetransform.c:
	* libs/gst/check/gstharness.c:
	  Check mandatory ClockTime arguments
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/837>

2021-04-23 12:12:58 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/glib-compat-private.h:
	* gst/gstregistrychunks.c:
	* libs/gst/base/gstbitwriter.c:
	* libs/gst/base/gstbytereader.c:
	* libs/gst/base/gstbytereader.h:
	* libs/gst/base/gstbytewriter.c:
	* libs/gst/base/gstindex.c:
	* tests/check/libs/bitwriter.c:
	* tests/check/libs/bytereader.c:
	* tests/check/libs/bytewriter.c:
	  Use g_memdup2() where available and add fallback for older GLib versions
	  glib 2.68 deprecates g_memdup(). Replace with g_memdup2() and
	  add fallback if compiling against older versions, since we
	  want to avoid deprecation warnings.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/803>

2021-06-07 09:29:58 +0000  Alba Mendez <me@alba.sh>

	* libs/gst/base/gstbasetransform.h:
	  introspection: annotate ownership in more vfuncs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/831>

2021-06-03 23:46:06 +0000  Alba Mendez <me@alba.sh>

	* gst/gstbin.h:
	  introspection: annotate handle_message ownership
	  (fixup/improvement to !747) Correct the ownership
	  annotation for `message` in the `handle_message` vfunc,
	  and remove the equivalent phrase elsewhere (following
	  rules of !747.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/830>

2021-05-25 13:26:11 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* plugins/tracers/gstleaks.c:
	  tracers: leaks: log when tracer is exiting
	  Useful when debugging leaks to make sure that the tracer is properly
	  finalized (gst_deinit() being actually called, etc).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/828>

2021-06-01 15:28:13 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.1 ===

2021-06-01 00:07:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* README:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.19.1

2021-05-27 16:01:17 -0500  tyler-aicradle <tyler@safex.ai>

	* gst/gstsystemclock.c:
	  systemclock: fall back to g_get_monotonic_time
	  This allows us to cover the case where we're on some unknown system that
	  doesn't have a known native precision monotonic time source. Sadly this
	  reintroduces some of the complexity removed in previous commits.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/829>

2021-05-27 09:44:29 -0500  tyler-aicradle <tyler@safex.ai>

	* gst/gstsystemclock.c:
	  systemclock: reorg real and mono time functions for macOS and win32
	  This simplifies the pre-processor checks a little to make it easier to
	  follow the code.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/829>

2021-05-26 14:55:55 -0500  tyler-aicradle <tyler@safex.ai>

	* gst/gstsystemclock.c:
	  systemclock: Use g_get_real_time on Windows and macOS for realtime clock
	  These targets previously were unable to produce wall clock times when
	  using GstSystemClock, this change makes it possible.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/829>

2021-05-26 12:55:42 -0500  tyler-aicradle <tyler@safex.ai>

	* gst/gstsystemclock.c:
	  systemclock: Reorganize defined checks for parts of GstSystemClock
	  The gst_system_clock_get_internal_time and
	  gst_system_clock_get_resolution functions had some nested defined checks
	  making this code somewhat harder to reason about and much harder to
	  change. The logical meaning of the checks has changed but the actual
	  code coming out of the pre-processor should not have changed
	  significantly. The main logical change was flattening the checks for
	  existence of posix timing functionality, from what I can tell these
	  functions aren't available on Windows where they were trying to be
	  included. I have checked the Linux and macOS output and they are
	  functionally unchanged.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/829>

2021-05-24 18:27:08 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* tests/check/gst/gstbuffer.c:
	  buffer: rename new gst_buffer_new_copy() to gst_buffer_new_memdup()
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/826
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/827>

2021-05-22 19:32:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* tests/check/gst/gstbuffer.c:
	  buffer: add gst_buffer_new_copy() convenience function
	  More convenient and discoverable variant of the fairly widely-used
	  gst_buffer_new_wrapped(g_memdup(data,size),size).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/826>

2021-05-16 02:10:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/random/API:
	* docs/random/LICENSE:
	* docs/random/TODO-pre-0.9:
	* docs/random/autoplug1:
	* docs/random/autoplug2:
	* docs/random/bbb/streamselection:
	* docs/random/bbb/subtitles:
	* docs/random/buffers:
	* docs/random/caps:
	* docs/random/caps.dia:
	* docs/random/caps2:
	* docs/random/classes.dia:
	* docs/random/ds/0.9-planning:
	* docs/random/ds/buffer_locking:
	* docs/random/ds/bufferpools:
	* docs/random/ds/categories:
	* docs/random/ds/element-checklist:
	* docs/random/ds/registry:
	* docs/random/ds/roadmap:
	* docs/random/ensonic/audiobaseclasses.txt:
	* docs/random/ensonic/dparams.txt:
	* docs/random/ensonic/draft-registry-change-hooks.txt:
	* docs/random/ensonic/dynlink.txt:
	* docs/random/ensonic/interfaces.txt:
	* docs/random/ensonic/lazycaps.txt:
	* docs/random/ensonic/logging.txt:
	* docs/random/ensonic/media-device-daemon.txt:
	* docs/random/ensonic/plugindocs.txt:
	* docs/random/ensonic/receipies.txt:
	* docs/random/eos:
	* docs/random/error:
	* docs/random/example:
	* docs/random/hierarchy:
	* docs/random/interfaces:
	* docs/random/metadata:
	* docs/random/mutability:
	* docs/random/negotiation:
	* docs/random/omega/EOS/chain-walkthrough:
	* docs/random/omega/IDEAS:
	* docs/random/omega/TODO-0.1.0:
	* docs/random/omega/TYPE_FOURCC:
	* docs/random/omega/build/TODO:
	* docs/random/omega/caps2:
	* docs/random/omega/caps3:
	* docs/random/omega/debug-commit:
	* docs/random/omega/eos.old:
	* docs/random/omega/filterfactory:
	* docs/random/omega/output_policies:
	* docs/random/omega/pad-negotiation:
	* docs/random/omega/padtemplates:
	* docs/random/omega/plan-generation:
	* docs/random/omega/sched-case:
	* docs/random/omega/sched-commit1:
	* docs/random/omega/sched/chains:
	* docs/random/omega/sched/walkthrough-72:
	* docs/random/omega/sched2:
	* docs/random/omega/scheduling:
	* docs/random/omega/testing/Makefile:
	* docs/random/omega/testing/framework:
	* docs/random/omega/testing/gstobject.c:
	* docs/random/omega/testing/gstobject.txt:
	* docs/random/omega/type-properties:
	* docs/random/phonon-gst:
	* docs/random/plugins:
	* docs/random/plugins.dia:
	* docs/random/porting-to-0.11.txt:
	* docs/random/queue:
	* docs/random/richardb/syncmail:
	* docs/random/rtp:
	* docs/random/signal:
	* docs/random/sources:
	* docs/random/status-0.11-14-jun-2011.txt:
	* docs/random/styleguide:
	* docs/random/testing/syntax:
	* docs/random/thaytan/opengl:
	* docs/random/thaytan/video-overlays:
	* docs/random/thomasvs/0.10:
	* docs/random/thomasvs/0.4.0:
	* docs/random/thomasvs/TODO:
	* docs/random/thomasvs/docreview:
	* docs/random/thomasvs/features:
	* docs/random/thomasvs/guadec-4:
	* docs/random/thomasvs/pthread:
	* docs/random/thomasvs/pwg:
	* docs/random/thomasvs/registry:
	* docs/random/types:
	* docs/random/types2:
	* docs/random/types3:
	* docs/random/use-cases-0.11.txt:
	* docs/random/usecases:
	* docs/random/vis-transform:
	* docs/random/wingo/porting-plugins-to-0.9:
	* docs/random/wingo/threadsafe-properties:
	* docs/random/wingo/without-factories:
	* docs/random/zaheerm/dvb-interface.txt:
	  docs: random: clean up outdated documents
	  Most of these are only of historical interest, and for that it's
	  fine if they're maintained in the git history. They're confusing
	  for anyone stumbling across them expecting documentation relating
	  to current versions of GStreamer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/824>

2021-05-11 21:16:01 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* plugins/elements/gstconcat.c:
	  concat: adjust running time offsets on events
	  When concat adjusts the base of the segments it forwards
	  downstream, it needs to also adjust the running time offsets,
	  as GstPad does when an offset is set by the application on a pad.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/819>

2021-05-05 15:45:40 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstbaseparse.c:
	* libs/gst/base/gstbaseparse.h:
	* libs/gst/base/gstbasesink.c:
	* libs/gst/base/gstbasesink.h:
	* libs/gst/base/gstbasesrc.c:
	* libs/gst/base/gstbasesrc.h:
	* libs/gst/base/gstbasetransform.c:
	  doc: base: Fix reference to virtual function
	  The hotdoc syntax is #ClassName::function, but the code was using
	  without anything before.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/808>

2021-05-06 13:03:15 -0400  Doug Nazar <nazard@nazar.ca>

	* libs/gst/check/gstcheck.c:
	* libs/gst/check/libcheck/check.c:
	* libs/gst/check/libcheck/check_run.c:
	* libs/gst/check/libcheck/meson.build:
	  gstcheck: Ensure unused threadpool threads are stopped
	  Ensures that all unused threads are exited before the atexit()
	  handlers run.
	  This prevents a race with any thread that used the OpenSSL library
	  between it's thread cleanup routine and it's atexit() cleanup routine
	  which can cause a SIGSEGV.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/812>

2021-05-11 19:02:28 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* plugins/elements/gstconcat.c:
	  concat: fix locking in SEGMENT event handler
	  concat->current_start_offset needs the lock taken for safe access,
	  as it can be accessed from outside of the streaming thread, eg
	  in release_pad.
	  An early break is also added for an error case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/818>

2021-05-06 23:02:35 -0400  Doug Nazar <nazard@nazar.ca>

	* plugins/elements/gstsparsefile.c:
	  sparsefile: Fix sparsefile on Win32
	  When switching between read/write a fseek() or fflush() is required.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/814>

2021-05-06 23:00:57 -0400  Doug Nazar <nazard@nazar.ca>

	* plugins/elements/gstdownloadbuffer.c:
	  downloadbuffer: close file before trying to remove
	  On Windows, the file handles must be closed before you can delete a file.
	  Also, it would cause an error if you try to close an already closed handle.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/814>

2021-05-06 23:00:07 -0400  Doug Nazar <nazard@nazar.ca>

	* plugins/elements/gstdownloadbuffer.c:
	  downloadbuffer: return flow error on read error
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/814>

2021-05-06 22:20:57 +0300  Nikolay Sivov <nsivov@codeweavers.com>

	* gst/gstutils.c:
	  gstutils: Fix typo in the comment.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/813>

2021-05-06 12:54:46 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: Ensure peer pad exists when iterating internal links
	  The pads can be NULL when we're racing with pad removal, e.g. when the
	  pads get removed between `gst_pad_iterate_internal_links` acquiring the
	  parent element and `gst_multi_queue_iterate_internal_links` locking the
	  multiqueue.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/810>

2021-04-02 19:48:26 -0400  Chris White <cxwembedded@gmail.com>

	* gst/gstchildproxy.c:
	  gst_child_proxy_get_property: accept G_VALUE_INIT
	  gst_child_proxy_get_property() can now take a value initialized to
	  G_VALUE_INIT.  This parallels the corresponding change in
	  g_object_get_property(), GLib 2.60+.
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/724#note_738531
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/809>

2021-04-22 17:53:44 +0200  François Laignel <fengalin@free.fr>

	* gst/gstelement.c:
	* gst/gstelement.h:
	* gst/gstpadtemplate.c:
	* gst/gstutils.c:
	* libs/gst/check/gstcheck.c:
	* libs/gst/check/gstharness.c:
	* tests/check/elements/concat.c:
	* tests/check/elements/funnel.c:
	* tests/check/elements/multiqueue.c:
	* tests/check/elements/selector.c:
	* tests/check/elements/tee.c:
	* tests/check/gst/gstelement.c:
	* tests/check/gst/gstutils.c:
	* tests/check/libs/aggregator.c:
	* tests/check/libs/collectpads.c:
	* tests/examples/streamiddemux/streamiddemux-stream.c:
	  Introduce gst_element_request_pad_simple
	  The name `gst_element_get_request_pad()` is confusing to people
	  learning GStreamer. `gst_element_request_pad_simple()` aims at
	  providing the exact same functionality, while making it more
	  explicit it is a simplified `gst_element_request_pad()`.
	  `gst_element_request_pad_simple()` is consistent with other
	  functions such as `gst_element_seek_simple`.
	  This commit deprecates `gst_element_get_request_pad()` so that a
	  compilation warning is emitted when used and incite developers
	  to use the more explicit `gst_element_request_pad_simple()`.
	  See also https://gitlab.freedesktop.org/gstreamer/gstreamer-rs/-/merge_requests/743#note_886586
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/802>

2021-04-20 23:54:52 -0400  Doug Nazar <nazard@nazar.ca>

	* libs/gst/check/gstharness.c:
	  harness: Fix object used to log caps warning.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/801>

2021-04-16 11:14:31 +0200  Miguel Paris <mparisdiaz@gmail.com>

	* gst/gstpad.c:
	  pad: clear probes holding mutex
	  Protect clearing probes against concurrent modification which might happen
	  due to dispose does NOT guarantee that the object is not used anymore, as
	  it could be referenced again and so being continued used.
	  So, as in the rest of places where probes hook list is used, on dispose
	  it should be accessed holding the mutex "GST_OBJECT_LOCK (pad);" as
	  GHookList is not thread-safe.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/798>

2021-04-16 11:36:33 +0200  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstqueue2.c:
	  queue2: Refuse all serialized queries when posting buffering messages
	  When posting buffering messages there are no safe places or timing to avoid
	  deadlocks.
	  Previously the code was trying to be "smart" by only forwarding serialized
	  queries if the queue was empty ... but that could happen when queue2 hadn't yet
	  posted a 100% buffering message. Meaning the pipeline might be paused and
	  pushing a serialized query downstream might never complete.
	  Therefore let's completely disable forwarding of serialized queries when
	  `queue2` is used as a buffering element (meaning `ALLOCATION` and `DRAIN`
	  queries).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/796>

2021-04-11 08:23:27 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/gst/gstpad.c:
	  tests: Remove invalid buffer test in test_get_allowed_caps.
	  Passing a non-GObject pointer causes SIGSEGV on certain architectures.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/790>

2021-04-11 10:24:01 -0400  Doug Nazar <nazard@nazar.ca>

	* plugins/tracers/gstleaks.c:
	  leaks: Fix SIGSEGV detecting object type.
	  G_IS_OBJECT & GST_IS_OBJECT work by following pointers which is unsafe
	  on certain architectures. GstMiniObject detection however does a lookup
	  to see if it's a valid type derived from G_TYPE_BOXED.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/791>

2021-04-10 10:46:28 -0400  Chris White <cxwembedded@gmail.com>

	* gst/gstallocator.c:
	* gst/gstallocator.h:
	  allocator: add gst_allocation_params_new()
	  This permits creating GstAllocationParams instances on the heap, which
	  is useful for language bindings that can handle GBoxed types.
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/683
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/788>

2021-04-07 04:46:23 -0400  Doug Nazar <nazard@nazar.ca>

	* plugins/elements/gstclocksync.c:
	  clocksync: Fix providing system clock by default
	  clocksync defaults to sync=true so should advertise it by default.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/786>

2020-10-10 19:09:03 +0000  Jose Quaresma <quaresma.jose@gmail.com>

	* gst/gstpluginloader.c:
	  gstpluginloader: when env var is set do not fall through to system plugin scanner
	  If we set a custom GST_PLUGIN_SCANNER env var, then we probably want to use that and only that.
	  Falling through to the one installed on the system is problamatic in cross-compilation
	  environemnts, regardless of whether one pointed to by the env var succeeded or failed.
	  taken from:
	  http://cgit.openembedded.org/openembedded-core/commit/meta/recipes-multimedia/gstreamer/gstreamer1.0/0001-gst-gstpluginloader.c-when-env-var-is-set-do-not-fal.patch?id=0db7ba34ca41b107042306d13a6f0162885c123b
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/669>

2021-03-19 13:46:13 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* tools/gst-inspect-1.0.1:
	* tools/gst-inspect.c:
	  gst-inspect: Allow overriding DEFAULT_LESS_OPTS with GST_LESS
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/777>

2021-04-06 20:56:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* tests/check/libs/aggregator.c:
	  aggregator: Release pads' peeked buffer when removing the pad or finalizing it
	  The peeked buffer was always reset after calling ::aggregate() but under
	  no other circumstances. If a pad was removed after peeking and before
	  ::aggregate() returned then the peeked buffer would be leaked.
	  This can easily happen if pads are removed from the aggregator from a
	  pad probe downstream of the source pad but still in the source pad's
	  streaming thread.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/784>

2021-03-30 20:24:07 -0400  Chris White <cxwembedded@gmail.com>

	* gst/gstcapsfeatures.c:
	* gst/gstcapsfeatures.h:
	  caps: Add gst_caps_features_new_single()
	  For use with a single feature now that gst_caps_features_new() is
	  G_GNUC_NULL_TERMINATED.
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/774#note_855357
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/774>

2021-03-27 17:10:06 -0400  Chris White <cxwembedded@gmail.com>

	* gst/gsttypefind.c:
	* gst/gsttypefind.h:
	  typefind: add gst_type_find_suggest_empty_simple()
	  For cases where you only need a media type and no other fields.
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/774#note_848664
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/774>

2021-03-18 19:06:20 -0400  Chris White <cxwembedded@gmail.com>

	* gst/gstcapsfeatures.h:
	* gst/gstelement.c:
	* gst/gstelement.h:
	* gst/gsttaglist.h:
	* gst/gsttracerrecord.c:
	* gst/gsttracerrecord.h:
	* gst/gsttypefind.h:
	* libs/gst/check/gstharness.h:
	  gst: Add missing G_GNUC_NULL_TERMINATED markers
	  Functions that require NULL as their last vararg are marked so the
	  compiler can warn on missing NULL.
	  Also, document the NULL terminator for gst_make_element_message_details()
	  and gst_tracer_record_new().
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/669
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/774>

2021-03-31 21:13:45 +0200  Pieter Willem Jordaan <pieterwjordaanpc@gmail.com>

	* gst/gstsystemclock.c:
	  systemclock: Fix deadlock on clock_nanosleep
	  Always use the monotonic clock's diff and end time for clock_nanosleep to have predictable behaviour even with other clock types.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/779>

2021-03-26 21:00:54 +0000  Jason Carrete <jasoncarrete5@gmail.com>

	* tools/gst-launch-1.0.1:
	  Update gst-launch-1.0.1
	  Fixed a small typo in the gst-launch-1.0 man page
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/780>

2021-03-19 10:33:13 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstbin.c:
	  bin: Don't special-case G_SIGNAL_RUN_CLEANUP stage in latency signal accumulator
	  This signal don't run the class handler in the CLEANUP stage.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/776>

2019-08-11 19:13:57 -0400  Aaron Boxer <aaron.boxer@collabora.com>

	* gst/gst.c:
	* tests/check/gst/gst.c:
	  gst: enforce gst_deinit one call per process
	  unit tests do not need to call deinit as it is already called in exit handler
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/236>

2019-08-11 14:20:42 -0400  Aaron Boxer <aaron.boxer@collabora.com>

	* gst/gst.c:
	  gst: disable indent for  parse_goption_arg
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/236>

2021-03-17 16:39:30 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/gstdeviceprovider.h:
	  device provider: add custom register macro
	  This macro allows to register a device provider with
	  a custom function which gives more flexibility when
	  registering it (see v4l2 register).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/773>

2021-03-18 14:46:15 +1100  Matthew Waters <matthew@centricular.com>

	* gst/gstatomicqueue.c:
	* gst/gstbuffer.c:
	* gst/gstchildproxy.c:
	* gst/gstdeviceprovider.c:
	* gst/gstelement.c:
	* gst/gstinfo.c:
	* gst/gstparamspecs.c:
	* gst/gstpluginloader.c:
	* gst/gstpoll.c:
	* gst/gstpreset.c:
	* gst/gstpromise.c:
	* gst/gstprotection.c:
	* gst/gsttask.c:
	* gst/gsturi.c:
	* gst/gstvalue.c:
	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstbaseparse.c:
	* libs/gst/base/gstbasesink.c:
	* libs/gst/base/gstbasesrc.c:
	* libs/gst/base/gstbasetransform.c:
	* libs/gst/base/gstflowcombiner.c:
	* libs/gst/check/gstconsistencychecker.c:
	* libs/gst/check/gstharness.c:
	* libs/gst/controller/gsttimedvaluecontrolsource.c:
	* libs/gst/net/gstnetaddressmeta.c:
	* libs/gst/net/gstnetcontrolmessagemeta.c:
	* plugins/elements/gstmultiqueue.c:
	* plugins/elements/gstqueue2.h:
	* plugins/elements/gstvalve.h:
	* tests/check/gst/gstcontroller.c:
	* tests/check/gst/gstmeta.c:
	* tests/check/gst/gstminiobject.c:
	* tests/check/gst/gstobject.c:
	* tests/check/gst/gstpreset.c:
	* tests/check/gst/gstprotection.c:
	* tests/check/gst/gstvalue.c:
	* tests/check/libs/controller.c:
	* tests/examples/controller/control-sources.c:
	  gst: don't use volatile to mean atomic
	  volatile is not sufficient to provide atomic guarantees and real atomics
	  should be used instead.  GCC 11 has started warning about using volatile
	  with atomic operations.
	  https://gitlab.gnome.org/GNOME/glib/-/merge_requests/1719
	  Discovered in https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/868
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/775>

2020-11-18 22:32:30 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* plugins/elements/gstclocksync.c:
	* plugins/elements/gstclocksync.h:
	* tests/check/elements/clocksync.c:
	  clocksync: Add a new property "sync-to-first" for automatic ts-offset setup
	  Add a new property so that clocksync can setup "ts-offset" value
	  based on the first buffer and pipeline's running time when the
	  first arrived. Newly update "ts-offset" in this case would be
	  a value that allows outputting the first buffer without clock waiting.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/702>

2021-03-16 19:02:06 -0400  Olivier Crête <olivier.crete@collabora.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Release the SRC lock while querying latency
	  This is required because the query could be intercepted and the
	  application could send any other requests to the element from this
	  thread.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/771>

2021-03-17 14:06:51 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstvalue.c:
	  value: fix parsing of explicit value casts
	  Since acdb4ce03d525a18f6c351a040b8446c7bbd98bd , parsing of the
	  value for a property can use the pspec to determine what type
	  a value should be casted to.
	  However, this broke the case where the value is explicitly casted
	  to a type (eg <(float) 0.0>). In that situation, we want to respect
	  the casting decision, and only use the pspec to perform "implicit"
	  casts.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/issues/881
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/772>

2021-03-11 15:41:16 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* gst/gstclock.h:
	  clock: define AUTO_CLEANUP_FREE_FUNC for GstClockID
	  GstClockID is secretly a gpointer so we can't use g_autoptr(),
	  instead user can do:
	  g_auto (GstClockID) clock_id = 0;
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/769>

2021-03-08 10:27:15 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/gstelement.h:
	  element: remove useless ret test
	  The ret test is unrelevant and confusing.
	  We dont want the code to fail and the register
	  to succeed by example.
	  In the case of a conditional element_init,
	  the element should be defined with
	  GST_ELEMENT_REGISTER_DEFINE_CUSTOM instead
	  of GST_ELEMENT_REGISTER_DEFINE_WITH_CODE.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/768>

2021-02-26 10:47:38 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* data/bash-completion/completions/gst-inspect-1.0:
	* data/bash-completion/completions/gst-launch-1.0:
	* data/bash-completion/helpers/gst.in:
	  bash-completion: various bash fixes
	  -d tests the folder which is existing but with .in file, so I prefered
	  the -f to test if the gst file was available which is not the case, so
	  it fallbacks on the pkg-config
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/766>

2021-02-26 10:01:56 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/meson.build:
	* meson.build:
	  meson: add uninstalled var for bash-completion
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/766>

2021-02-24 13:03:47 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* gst/gstminiobject.c:
	* gst/gstminiobject.h:
	  miniobject: add GST_TYPE_MINI_OBJECT
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/764>

2021-02-17 18:35:33 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstdebugutils.c:
	* gst/gstdebugutils.h:
	  docs: standardize debugutils documentation
	  * add a SECTION comment
	  * Misc cleanup / typo fixes / addition of links
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/760>

2021-02-16 16:18:08 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstcontrolsource.h:
	* gst/gstdatetime.c:
	* gst/gstdatetime.h:
	  docs: standardize GstControlSource, GstDateTime documentation
	  * Don't repeat what annotations are stating with respect to ownership
	  transfer, nullability
	  * Misc cleanup / typo fixes / addition of links
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/759>

2021-01-21 02:04:25 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  Revert "baseparse: always use incoming DTS"
	  This reverts commit fc5cd9591a3fe09458342cfedfff88d57bc330c7.

2021-02-15 15:06:46 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstcontext.c:
	* gst/gstcontrolbinding.c:
	* gst/gstcontrolbinding.h:
	  docs: standardize GstContext, GstControlBinding documentation
	  * Document virtual methods in standalone comments, in order to properly
	  annotate them
	  * Don't repeat what annotations are stating with respect to ownership
	  transfer, nullability
	  * Mark GstControlBinding ABI field as private
	  * Misc cleanup / typo fixes / addition of links
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/758>

2021-02-12 17:50:21 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstclock.c:
	* gst/gstclock.h:
	  docs: standardize GstClock documentation
	  * Don't mention explicitly that API is MT safe, this implies that
	  other API is not. GStreamer API is assumed to be MT safe, thread
	  safety should only be explicitly mentioned when API is *not* MT safe
	  * Don't repeat what annotations are stating with respect to ownership
	  transfer, nullability
	  * Document virtual methods in standalone comments, so that parameters
	  can be documented. This is not critical here, as parameters do not
	  need annotations / specific documentation, but serves as an up to
	  date example
	  * Document enumeration members in standalone comments, so that their
	  Since tag is accounted for by gobject-introspection
	  * Misc cleanup / typo fixes / addition of links
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/756>

2021-02-15 09:54:51 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/gstelement.h:
	  features: remove extra G_BEGIN_DECLS/G_END_DECLS
	  _GST_ELEMENT_REGISTER_DEFINE_BEGIN
	  _GST_ELEMENT_REGISTER_DEFINE_END was introducing
	  an extra extern "C" in case of c++ build.
	  Add missing ";" in GST_ELEMENT_REGISTER_DECLARE
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/757>

2021-02-11 16:04:01 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstcapsfeatures.c:
	* gst/gstchildproxy.c:
	* gst/gstchildproxy.h:
	  docs: standardize GstCapsFeatures, GstChildProxy documentation
	  * Don't mention explicitly that API is MT safe, this implies that
	  other API is not. GStreamer API is assumed to be MT safe, thread
	  safety should only be explicitly mentioned when API is *not* MT safe
	  * Document virtual methods in standalone comments, in order to properly
	  annotate them
	  * Don't repeat what annotations are stating with respect to ownership
	  transfer, nullability
	  * Misc cleanup / typo fixes / addition of links
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/755>

2021-02-10 14:19:18 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstcaps.c:
	* gst/gstcaps.h:
	  docs: standardize GstCaps documentation
	  * Don't repeat what annotations are stating with respect to ownership
	  transfer, nullability
	  * Reword the warnings for caps nestability in light of the 1.20
	  improvements
	  * Misc cleanup / typo fixes / addition of links
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/754>

2021-02-10 04:14:48 +1100  Jan Schmidt <jan@centricular.com>

	* tests/check/gst/gstpad.c:
	  tests: Add disjoint pad probe removal test.
	  Add a test that removing a blocking probe on events when there
	  is a different blocking probe on buffers releases the data flow.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/749>

2021-02-06 03:58:54 +1100  Jan Schmidt <jan@centricular.com>

	* gst/gstpad.h:
	  pad: Improve the documentation for GstPadProbeReturn.
	  Explain that GST_PAD_PROBE_PASS will pass data even if there is
	  another pad probe that says to block, and that GST_PAD_PROBE_REMOVE
	  passes data and potentially unblocks the pad.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/749>

2021-02-06 03:41:23 +1100  Jan Schmidt <jan@centricular.com>

	* gst/gstpad.c:
	  pad: Fix for multiple blocking probes interaction.
	  Change the way the marshalled flag in the internal ProbeMarshall state
	  is handled when iterating over pad probes so that it only counts
	  probes that still exist and would be called when retrying.
	  This improves the way that removing a blocking probe works when
	  there are multiple blocking probes for different conditions (data vs
	  events for example).
	  As a side-effect, probes aren't put into the the called_probes array
	  unless they actually match the current probe type and would be called,
	  potentially reducing the number of hooks that get stored in the
	  called_probes array, and the cost of the looping check on retries.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/658
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/749>

2021-02-09 15:30:50 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstbus.c:
	* gst/gstbus.h:
	  docs: standardize GstBus documentation
	  * Don't mention explicitly that API is MT safe, this implies that
	  other API is not. GStreamer API is assumed to be MT safe, thread
	  safety should only be explicitly mentioned when API is *not* MT safe
	  * Don't repeat what annotations are stating with respect to ownership
	  transfer, nullability
	  * Document virtual methods and the class structure
	  * Misc cleanup / typo fixes / addition of links
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/753>

2021-02-08 15:17:05 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstbufferpool.c:
	* gst/gstbufferpool.h:
	  docs: standardize GstBufferPool documentation
	  * Don't repeat what annotations are stating with respect to ownership
	  transfer, nullability
	  * Document virtual methods in standalone comments, so that parameters
	  can be documented. This is functionally useful here, as parameters
	  require annotations, and should make the class more usable by
	  bindings.
	  * Misc cleanup / typo fixes / addition of links
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/752>

2021-02-08 14:31:09 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstbufferlist.c:
	* gst/gstbufferlist.h:
	  docs: standardize GstBufferList documentation
	  * Don't repeat what annotations are stating with respect to ownership
	  transfer, nullability
	  * Misc cleanup / typo fixes / addition of links
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/752>

2021-02-08 13:53:51 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstbuffer.h:
	  docs: fix GST_BUFFER_COPY_DEEP comment title
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/752>

2021-02-05 14:55:37 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* gst/gstprotection.c:
	  docs: standardize GstBuffer documentation
	  * Don't mention explicitly that API is MT safe, this implies that
	  other API is not. GStreamer API is assumed to be MT safe, thread
	  safety should only be explicitly mentioned when API is *not* MT safe
	  * Don't repeat what annotations are stating with respect to ownership
	  transfer, nullability
	  * Document enumeration members in standalone comments, so that their
	  Since tag is accounted for by gobject-introspection
	  * Misc cleanup / typo fixes / addition of links
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/748>

2021-02-04 16:15:39 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstbin.c:
	* gst/gstbin.h:
	* gst/gstutils.c:
	  docs: standardize GstBin documentation
	  * Don't mention explicitly that API is MT safe, this implies that
	  other API is not. GStreamer API is assumed to be MT safe, thread
	  safety should only be explicitly mentioned when API is *not* MT safe
	  * Don't repeat what annotations are stating with respect to ownership
	  transfer, nullability
	  * Document virtual methods in standalone comments, so that parameters
	  can be documented. This is not critical here, as parameters do not
	  need annotations / specific documentation, but serves as an up to
	  date example
	  * Document enumeration members in standalone comments, so that their
	  Since tag is accounted for by gobject-introspection
	  * Misc cleanup / typo fixes / addition of links
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/747>

2021-02-04 15:18:04 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstbin.c:
	  docs: reformat and cleanup GstBin SECTION comment
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/747>

2021-02-02 16:41:28 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstallocator.c:
	  docs: clean up GstAllocator documentation
	  In particular, there is no need to explicitly mention free
	  functions / ownership transfers, this should be obvious from
	  the annotations.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/745>

2021-02-02 16:34:03 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstallocator.c:
	  docs: sort GstAllocator doc so that GstAllocator appears first
	  The default ordering is alphabetical, causing GstAllocationParams
	  to appear first in the page if left auto-sorted
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/745>

2021-02-02 16:19:46 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gst.c:
	* gst/gst.h:
	  docs: cleanup gst.c documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/745>

2021-01-29 23:07:34 +0900  Seungha Yang <seungha@centricular.com>

	* plugins/elements/gstfilesink.c:
	* plugins/elements/gstfilesrc.c:
	  filesrc/filesink: Use g_open/g_fopen and g_close instead of ours
	  There should be no more cross-CRT issue on Windows since we bumped
	  MinGW toolchain
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/744>

2021-01-31 12:12:09 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstinfo.c:
	  info: Don't leak log function user_data if the debug system is compiled out
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/742>

2021-01-25 22:51:33 +0100  Aleksandr Slobodeniuk <aslobodeniuk@fluendo.com>

	* gst/gstvalue.h:
	  gstvalue: fix compilation warning in "holds" macros
	  GST_VALUE_HOLDS_... macros may cause -Waddress warning
	  on gcc if GValue is allocated on stack:
	  gstvalue.h:145:46: warning: the comparison will always
	  evaluate as ‘true’ for the address of ‘v’ will never
	  be NULL [-Waddress]
	  #define GST_VALUE_HOLDS_CAPS(x)         ((x) != NULL &&
	  G_VALUE_TYPE(x) == _gst_caps_type)
	  Fixes #653
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/738>

2020-12-24 14:06:29 -0500  Chris White <cxwembedded@gmail.com>

	* tests/check/gst/gststructure.c:
	  structure: add tests of deserializing strings with escapes
	  Shows the issue described in
	  <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/303#note_272629>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/303>

2019-10-28 18:06:14 +0000  Henry Wilkes <hwilkes@igalia.com>

	* gst/gstvalue.c:
	  gstvalue: preserve parse behaviour with warning
	  Preserve the previous behaviour where:
	  name, val="5";
	  passed to gst_structure_from_string would have resulted in an int value,
	  rather than a string, despite the quote marks.
	  This will be changed to being interpreted as a string in the future, but
	  for the time being we will issue a warning about this to give users time
	  to fix their code to no longer rely on this bug.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/303>

2019-10-23 12:48:32 +0100  Henry Wilkes <hwilkes@igalia.com>

	* gst/gstvalue.c:
	* tests/check/gst/gstvalue.c:
	  gstvalue: make gst_string_unwrap less strict
	  Allow a string in gst_string_unwrap to include unescaped characters that
	  are not in GST_STRING_IS_ASCII. This extra leniency allows
	  gst_structure_from_string to, e.g., receive
	  name, val=(string)"string with space";
	  Note that many gst tests, and potentially users, exploited this behaviour
	  by giving
	  name, val="string with space";
	  i.e. without the (string) type specifier. This was allowed before
	  because, without a type specifier, the string was passed to
	  _priv_gst_value_parse_string with unescape set to TRUE, *rather* than
	  being sent to gst_string_unwrap. This caused a difference in behaviour
	  between strings that are or are not preceded by (string). E.g.
	  name, val=(string)"string with space";
	  would fail, whilst
	  name, val="string with space";
	  would not. And
	  name, val=(string)"\316\261";
	  would produce a val="α", whereas
	  name, val=(string)"\316\261";
	  would produce a val="316261" (a bug).
	  The current behaviour is to treat both of these cases the same, which is
	  desirable. But in order to not break potentially common usage of this
	  discrepancy (it was in our own tests), the best option is to make string
	  parsing less strict in general.
	  New behaviour would be for
	  name, val=(string)"string with space";
	  to pass and give val="string with space", and
	  name, val="\316\261";
	  would produce a val="α".
	  Also changed deserializing string test to expect successes where
	  previously a failure was expected.
	  In a similar way, this also effected the deserializing of GstStructure,
	  GstCaps, GstTagList and GstCapsFeatures. So, now
	  name, val=(structure)"sub-name, sub-val=(string)\"a: \\316\\261\";";
	  will also pass and give sub-val="a: α". Note that the quote marks
	  and backslash still need to be escaped for the sub-structure, but other
	  characters need not be.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/303>

2019-10-18 23:11:44 +0100  Henry Wilkes <hwilkes@igalia.com>

	* tests/check/gst/gstvalue.c:
	  value: add serialize-deserialize tests
	  Added tests to ensure that the gst_value_deserialize reverses
	  gst_value_serialize.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/303>

2019-10-18 13:00:33 +0100  Henry Wilkes <hwilkes@igalia.com>

	* gst/gstvalue.c:
	* tests/check/gst/gstvalue.c:
	  structure: don't unescape values before deserializing
	  No longer call _priv_gst_value_parse_string with unescape set to TRUE
	  before passing a value to gst_value_deserialize in
	  _priv_gst_value_parse_value. This latter function is called by
	  gst_structure_from_string and gst_caps_from_string.
	  When gst_structure_to_string and gst_caps_to_string are called, no
	  escaping is performed after calling gst_value_serialize. Therefore, by
	  unescaping the value string, we were introducing an additional operation
	  that was not performed by the original *_to_string functions. In
	  particular, this has meant that the derialization functions for many
	  non-basic types are incomplete reverses of the corresponding
	  serialization function (i.e., if you pipe the output of the
	  serialization function into the deserialization function it could fail)
	  because they have to compensate for this additional escaping operation,
	  when really this should be the domain of the deserialization functions
	  instead.
	  Correspondingly changed a few deserialization functions.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/issues/452
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/303>

2021-01-15 01:16:34 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gsttask.c:
	  task: Use SetThreadDescription Win32 API for setting thread name
	  Since Windows 10 1607, we can make use of SetThreadDescription() API
	  for setting thread name. Unlike previously used exception based
	  method, this API will preserve configured thread name on dump file.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/735>

2021-01-14 15:50:05 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* tests/check/gst/gstsystemclock.c:
	  tests: systemclock: Stop all stress threads before joining them
	  This reduces the chance of the main thread getting starved while trying
	  to shut down the test, potentially causing a timeout.
	  Even on an idle 96-processor system this reduces the duration of the
	  systemclock tests from ~8s to ~3s.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/734>

2021-01-14 10:18:51 +0100  Marijn Suijten <marijns95@gmail.com>

	* gst/gstmemory.c:
	  gstmemory: Mark memory_map @info as `caller-allocates`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/730>

2021-01-14 10:20:41 +0100  Marijn Suijten <marijns95@gmail.com>

	* gst/gstbuffer.c:
	  gstbuffer: Mark buffer_map* @info as `caller-allocates`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/730>

2021-01-07 09:53:41 +0100  Marijn Suijten <marijns95@gmail.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstbasesrc.c:
	* libs/gst/base/gstbasetransform.c:
	  gst,base: Take GstAllocationParams parameter by const ptr
	  This parameter is only informational and should not be modified. Enforce
	  this at compile-time and to get the right signature in G-IR.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/730>

2021-01-13 03:01:57 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gsturi.h:
	  uri: Remove leftover documentation
	  Follow-up from https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/728
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/732>

2021-01-08 20:23:23 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* gst/gstbufferlist.c:
	* gst/gstbufferlist.h:
	* gst/gstcaps.c:
	* gst/gstcaps.h:
	* gst/gstcontext.c:
	* gst/gstcontext.h:
	* gst/gstevent.c:
	* gst/gstevent.h:
	* gst/gstmemory.c:
	* gst/gstmemory.h:
	* gst/gstmessage.c:
	* gst/gstmessage.h:
	* gst/gstpromise.c:
	* gst/gstpromise.h:
	* gst/gstquery.c:
	* gst/gstquery.h:
	* gst/gstsample.c:
	* gst/gstsample.h:
	* gst/gsttaglist.c:
	* gst/gsttaglist.h:
	* gst/gsturi.c:
	* gst/gsturi.h:
	* gst/meson.build:
	  gst: Add non-inline methods for bindings to able to use core APIs
	  Provide non-inline version of refcounting APIs so that it can be
	  consumed by bindings
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer-sharp/-/issues/46
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/728>

2021-01-07 11:04:48 +0000  Philippe Normand <philn@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	* plugins/elements/gstconcat.c:
	  concat: Fix active-pad property doc typo
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/727>

2020-12-24 00:40:33 +0700  Dmitry Samoylov <dmitry.samoylov@quantumsoft.ru>

	* gst/gstvalue.c:
	  gst: Fix doc comments
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/725>

2020-10-23 17:44:10 +0200  Michael Tretter <m.tretter@pengutronix.de>

	* gst/gstpipeline.c:
	  pipeline: clarify that applications should handle bus messages
	  The pipeline posts messages on the bus even if an application does not
	  handle the messages. This is expected behavior but may leak messages if
	  the messages are not handled.
	  Clarify the documentation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/680>

2020-12-12 22:28:46 +0000  Fredrik Pålsson <fredrik.palsson@isg.se>

	* gst/gstbus.c:
	  gstbus: change log level of repeated messages from INFO to DEBUG
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/722>

2020-12-11 16:01:27 +0100  Jakub Adam <jakub.adam@collabora.com>

	* libs/gst/check/gstharness.c:
	  harness: don't use GST_DEBUG_OBJECT with GstHarness
	  GstHarness is not a GObject. Fixes assert on recently added check in
	  gst_debug_log_valist() if GST_ENABLE_EXTRA_CHECKS is enabled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/720>

2020-12-10 15:48:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstbus.c:
	* tests/check/gst/gstbus.c:
	  bus: Ensure that only one GSource can be attached to the bus
	  Until now we were enforcing that only 1 signal GSource was attached
	  the bus but we could attach as many GSource with `gst_bus_create_watch`
	  as we wanted... but in the end only 1 GSource will ever be dispatched for
	  a given `GstMessage` leading to totally broken behavior.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/718>

2020-12-10 15:05:31 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstbus.c:
	  bus: Do not override source->prepare
	  Since GLib 2.36 we do not need it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/718>

2020-12-10 14:08:53 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	  gir: Fix parser warning due to empty line
	  The GIR parser does not want any empty line after the function or macro
	  name line.
	  Fixes the following warning:
	  [309/4246] Generating Gst-1.0.gir with a custom command
	  ../subprojects/gstreamer/gst/gstelement.h:57: Warning: Gst: "@element" parameter unexpected at this location:
	  * @element: The element name in lower case, with words separated by '_'.
	  ^
	  ../subprojects/gstreamer/gst/gstelement.h:84: Warning: Gst: "@e" parameter unexpected at this location:
	  * @e: The element name in lower case, with words separated by '_'.
	  ^
	  ../subprojects/gstreamer/gst/gstelement.h:106: Warning: Gst: "@e" parameter unexpected at this location:
	  * @e: The element name in lower case, with words separated by '_'.
	  ^
	  ../subprojects/gstreamer/gst/gstdeviceprovider.h:32: Warning: Gst: "@d_p" parameter unexpected at this location:
	  * @d_p: The device provider name in lower case, with words separated by '_'.
	  ^
	  ../subprojects/gstreamer/gst/gstdynamictypefactory.h:28: Warning: Gst: "@t_n" parameter unexpected at this location:
	  * @t_n: The dynamic type name in lower case, with words separated by '_'.
	  ^
	  ../subprojects/gstreamer/gst/gsttypefind.h:34: Warning: Gst: "@type_find" parameter unexpected at this location:
	  * @type_find: The type find name in lower case, with words separated by '_'.
	  ^
	  ../subprojects/gstreamer/gst/gsttypefind.h:61: Warning: Gst: "@t_f" parameter unexpected at this location:
	  * @t_f: The type find name in lower case, with words separated by '_'.
	  ^
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/719>

2020-12-10 09:57:37 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/gststructure.c:
	* tests/check/gst/gststructure.c:
	  structure: Handle trailing comas in serialized structs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/717>

2020-10-06 14:26:30 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* plugins/elements/gstcapsfilter.c:
	* plugins/elements/gstclocksync.c:
	* plugins/elements/gstconcat.c:
	* plugins/elements/gstcoreelementselements.h:
	* plugins/elements/gstcoreelementsplugin.c:
	* plugins/elements/gstdataurisrc.c:
	* plugins/elements/gstdownloadbuffer.c:
	* plugins/elements/gstelements.c:
	* plugins/elements/gstfakesink.c:
	* plugins/elements/gstfakesrc.c:
	* plugins/elements/gstfdsink.c:
	* plugins/elements/gstfdsrc.c:
	* plugins/elements/gstfilesink.c:
	* plugins/elements/gstfilesrc.c:
	* plugins/elements/gstfunnel.c:
	* plugins/elements/gstidentity.c:
	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstmultiqueue.c:
	* plugins/elements/gstoutputselector.c:
	* plugins/elements/gstqueue.c:
	* plugins/elements/gstqueue2.c:
	* plugins/elements/gststreamiddemux.c:
	* plugins/elements/gsttee.c:
	* plugins/elements/gsttypefindelement.c:
	* plugins/elements/gstvalve.c:
	* plugins/elements/meson.build:
	  coreelements: allow per features registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661>

2020-12-01 12:46:19 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/gstdynamictypefactory.h:
	  dynamic type: add convenience macros to register
	  This macros will help to register a dynamic type
	  apart from a given plugin such as in a static build
	  of gstreamer where libgstreamer-full is generated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661>

2020-11-30 11:51:59 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/gsttypefind.h:
	  type find: add convenience macros to register
	  This macros will help to register a device provider
	  apart from a given plugin such as in a static build
	  of gstreamer where libgstreamer-full is generated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661>

2020-11-27 17:33:33 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/gstdeviceprovider.h:
	* tests/check/gst/gstdevice.c:
	  device provider: add convenience macros to register
	  This macros will help to register a device provider
	  apart from a given plugin such as in a static build
	  of gstreamer where libgstreamer-full is generated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661>

2020-08-31 14:05:49 -0400  Julian Bouzas <julian.bouzas@collabora.com>

	* gst/gstelement.h:
	  element: add convenience macros to register
	  Define separate macros to define an element
	  apart from the plugin itself.
	  These macros will help to register
	  elements a part from a plugin.
	  By example in the case of a gstreamer static build
	  producing the libgstreamer-full library.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661>

2020-12-01 17:17:30 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* tools/gst-inspect.c:
	  gst-inspect: add an option to sort plugins
	  with the option --sort, the output is sort by default
	  with alphabetical order with plugins and features.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/709>

2020-12-07 12:23:15 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/gst/gstdatetime.c:
	  datetime: Update tests for returning NULL instead of g_return_val_if_fail() in error cases
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/706>

2020-11-25 14:02:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstdatetime.c:
	  datetime: Make use of new g_time_zone_new_identifier() that properly handles errors
	  g_time_zone_new() returns UTC if it fails to parse the timezone
	  identifier, which is rather suboptimal and causes wrong datetimes to be
	  created silently.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/706>

2020-11-25 14:00:45 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstdatetime.c:
	  datetime: Clean up all constructors to fail gracefully if invalid dates/times are provided
	  And also don't crash dereferencing a NULL pointer if the GDateTime
	  functions return NULL.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/632
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/706>

2020-11-25 13:36:19 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstdatetime.c:
	  datetime: Change getters to return specific invalid values if the value is not set
	  This is more bindings friendly than requiring a special function to be
	  called beforehand or getting an assertion instead, and should also
	  simplify some usage.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/706>

2020-11-25 13:35:57 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstdatetime.c:
	  datetime: Improve documentation a bit to explain when NULL is returned
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/706>

2020-07-14 22:36:36 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gst_private.h:
	* gst/gstcaps.c:
	* gst/gstcaps.h:
	* gst/gststructure.c:
	* gst/gststructure.h:
	* hooks/pre-commit.hook:
	* tests/check/gst/capslist.h:
	* tests/check/gst/gstcaps.c:
	* tests/check/gst/gststructure.c:
	  gst: Add new structure/caps/_to_string using the brackets for nesting
	  This adds `gst_structure_serialize` and `gst_caps_serialize` which use
	  the newly introduced bracket delimiters for nested structures.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/532>

2020-06-17 09:31:18 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstvalue.c:
	  value: Cleanup on range parsing failures
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/532>

2020-06-16 00:07:51 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gst_private.h:
	* gst/gstcaps.c:
	* gst/gststructure.c:
	* gst/gstvalue.c:
	* tests/check/gst/gstvalue.c:
	  structure: Add support for brackets as nested structures/caps specifiers
	  This introduces a more human friendly syntax to specify nested
	  structures It does so by using 2 different markers for opening and
	  closing them instead of abusing quotes which lead to requiring an insane
	  amount of escaping to match nesting levels.
	  The brackets (`[` and `]`) have been chosen as they avoid complex
	  constructions with curly brackets (or lower/higher than signs) where you
	  could have structures embedded inside arrays (which also use curly
	  brackets), ie. `s, array=(structure){{struct}}` should be parsed as an
	  array of structures, but the cast seems to imply something different. We
	  do not have this issue with brackets as they are currently used for
	  ranges, which can only be casted to numeric types.
	  This commit does not make use of that new syntax for serialization as
	  that would break backward compatibility, so it is basically a 'sugar'
	  syntax for humans. A notice has been explicitly made in the
	  documentation to let the user know about it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/532>

2020-12-03 19:22:43 +0100  Marijn Suijten <marijns95@gmail.com>

	* libs/gst/check/gsttestclock.c:
	  check: gst_test_clock_process_next_clock_id returns nullable
	  It is possible there are no more pending clocks in the chain, in which
	  case this function returns null.
	  See also tests like test_single_shot_async_future that validate NULL
	  returns.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/714>

2020-12-01 19:17:05 +0000  Jose Quaresma <quaresma.jose@gmail.com>

	* meson_options.txt:
	  meson: gtk_doc is not supported anymore
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/710>

2020-12-02 09:22:35 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gststreams.c:
	  streams: gst_stream_type_get_name() is not nullable
	  It takes an enum and only the defined values are valid to pass in here
	  as it's not extensible from the outside.
	  Add a g_return_val_if_reached() for the unreachable case and return
	  "invalid".
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/711>

2020-12-02 09:35:26 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstinfo.c:
	  info: Warn if logging with a non-GObject object if GST_ENABLE_EXTRA_CHECKS is enabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/712>

2020-11-20 14:55:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/gsttaskpool.c:
	  taskpool: fix docs warnings
	  gsttaskpool.c:507: Warning: Gst: gst_shared_task_pool_get_max_threads: unknown parameter 'max_threads' in documentation comment
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/703>

2020-11-10 21:39:13 +1000  Jonathan Matthew <jonathan@d14n.org>

	* plugins/elements/gsttypefindelement.c:
	* plugins/elements/gsttypefindelement.h:
	  typefind: copy seqnum to new segment event
	  Fixes: #635
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/700>

2020-10-30 16:58:52 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstsystemclock.c:
	* meson.build:
	  systemclock: Use clock_nanosleep for higher accuracy
	  The various wait implementation have a latency ranging from 50 to 500+
	  microseconds. While this is not a major issue when dealing with a low number of
	  waits per second (for ex: video), it does introduce a non-negligeable jitter for
	  synchronization of higher packet rate systems.
	  The `clock_nanosleep` syscall does offer a lower-latency waiting system but is
	  unfortunately blocking, so we don't want to use it in all scenarios nor for too
	  long.
	  This patch makes GstSystemClock use clock_nanosleep (if available) as such:
	  * Any wait below 500us uses it
	  * Any wait below 2ms will first use the regular waiting system and then
	  clock_nanosleep
	  #	modified:   gst/gstsystemclock.c
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/688>

2020-11-03 02:43:26 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gsttaskpool.c:
	* gst/gsttaskpool.h:
	* tests/check/gst/gsttask.c:
	  taskpool: expose new "shared" task pool implementation
	  While the default implementation will spawn a thread per new
	  pushed task, this new implementation instead spawns a maximum
	  number of threads, then queues new tasks on existing threads.
	  The thread that the new task will be queued on is picked in
	  a pretty naive fashion, by simply popping the first thread
	  from a queue and pushing it back to the tail, but this is
	  an implementation detail and can always be sophisticated
	  in the future if the need arises.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/692>

2020-11-03 02:41:31 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gsttaskpool.c:
	* gst/gsttaskpool.h:
	  taskpool: expose dispose_handle() API
	  This is useful when the subclass does return a non-NULL pointer
	  in push(), and the user doesn't want to call join()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/692>

2020-11-03 02:39:37 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gsttaskpool.c:
	  taskpool: improve join() documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/692>

2020-11-03 02:33:32 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gsttaskpool.c:
	  taskpool: modify transfer annotations for push() and join()
	  While the default implementation passes NULL around as the
	  task handle, other implementations can only provide a safe
	  API by having that handle map to a refcounted opaque type.
	  While what's passed around is a gpointer, a valid transfer
	  type annotation has informative value.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/692>

2020-10-17 12:34:20 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstbufferpool.c:
	* gst/gstdatetime.c:
	* gst/gstdeviceprovider.c:
	* gst/gstelement.c:
	* gst/gstparse.c:
	* gst/gstplugin.c:
	* gst/gstregistry.c:
	* gst/gststreamcollection.c:
	* gst/gsttypefind.c:
	* gst/gsttypefindfactory.c:
	* gst/gsturi.c:
	* gst/gstutils.c:
	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstbasesrc.c:
	* libs/gst/base/gstbasetransform.c:
	  Add some missing nullable annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/678>

2020-11-04 18:37:32 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Enable some MSVC warnings for parity with GCC/Clang
	  This makes it easier to do development with MSVC by making it warn
	  on common issues that GCC/Clang error out for in our CI configuration.
	  Continuation from https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/223
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/698>

2020-11-02 17:43:42 +0800  Bing Song <bing.song@nxp.com>

	* plugins/elements/gstclocksync.c:
	* plugins/elements/gstidentity.c:
	  identity/clocksync: Also provide system clock if sync=false
	  identity should provide when sync=true. Don't provide when sync=false.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/630
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/690>

2020-11-03 22:39:54 +1000  Jonathan Matthew <jonathan@d14n.org>

	* plugins/elements/gstqueue2.c:
	  queue2: Fix modes in scheduling query handling
	  Create a new query to send upstream and copy the flags across from it,
	  rather than reusing the same query, as this allows us to prevent use
	  of pull mode when we don't have a download file.
	  Fixes: #629
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/693>

2020-11-03 22:58:26 -0800  Khem Raj <raj.khem@gmail.com>

	* gst/gst_private.h:
	  gst_private.h: increse padding in struct _GstClockEntryImpl
	  When compiling for 32bit architectures with 64bit time_t e.g. riscv32,
	  the static assert that the GstClockEntryImpl smaller or
	  equal to the struct _GstClockEntryImpl triggered.
	  (they were 12bytes off).
	  To fix this, the padding is increased by 8 bytes (on 32bit).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/694>

2020-10-31 15:10:23 -0400  Chris White <cxwembedded@gmail.com>

	* gst/gstinfo.c:
	  gstinfo: colorize PIDs in log messages
	  The PIDs on log lines were supposed to be colorized before, but the
	  escape sequence was incorrect.  With this change, the code uses the
	  correct sequence to colorize those PIDs.  E.g., instead of `\033[334m`
	  (incorrect), use `\033[34m` (correct).
	  This makes the log messages easier to read.  It also reduces the chance
	  that a buggy terminal will choke on the invalid escape sequence.
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/624
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/689>

2020-10-30 23:46:07 +1100  Jan Schmidt <jan@centricular.com>

	* libs/gst/check/gstharness.c:
	* tests/check/libs/gstharness.c:
	  harness: Handle element not being set cleanly.
	  If a harness is created with gst_harness_new_empty(), there
	  might not be an internal element to unref on cleanup.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/686>

2020-10-30 00:45:42 +1100  Jan Schmidt <jan@centricular.com>

	* gst/gstbin.c:
	* tests/check/gst/gstbin.c:
	  bin: When removing a sink, check if the EOS status changed.
	  Removing a sink that hasn't posted EOS might change the bin itself
	  to EOS if it's the last remaining non-EOSed sink.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/683>

2020-10-26 23:17:59 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: always use incoming DTS
	  When parsing interlaced video streams, ignoring incoming DTS could
	  cause the parser to end up with PTS < DTS output buffers, for example
	  when increasing next_dts using the duration of the last pushed
	  buffer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/681>

2020-10-21 09:43:43 +0100  Philippe Normand <philn@igalia.com>

	* gst/gstdevicemonitor.c:
	* gst/gstdeviceprovider.c:
	* gst/gstdeviceprovider.h:
	* tests/check/gst/gstdevice.c:
	  devicemonitor: Stop only the already started providers
	  If a device provider fails to start (for instance the pulseaudio provider unable
	  to connect to the PulseAudio daemon) then the monitor should not keep track of
	  it in its `started` providers list. Otherwise a false positive critical warning
	  would be raised.
	  This patch also switches the started_count type from bool to int, for
	  consistency. This is a counter, after all.
	  API: gst_device_provider_is_started
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/679>

2020-10-21 17:24:01 +0900  Seungha Yang <seungha@centricular.com>

	* plugins/elements/gstfilesrc.c:
	  filesrc: Use *Ex Win32 method for UWP
	  non-*Ex methods are not allowed for UWP
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/610>

2020-09-02 17:01:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstfilesrc.c:
	  filesrc: Don't use fstat() on Windows but use specific Windows APIs
	  fstat() fails on Windows in various situations if the file metadata has
	  invalid values, and we only care about getting attributes and the file
	  size.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/610>

2020-09-02 17:01:35 +0300  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstfilesrc.c:
	  filesrc: Remove unused #define on Windows
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/610>

2020-10-16 10:22:04 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* libs/gst/check/meson.build:
	  pkgconfig: Fix missing libcheck dependencies in gstreamer-check-1.0
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/676>

2020-10-16 10:39:08 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Include min-upstream-latency in buffering time
	  While we can fixe the upstream latency using the min-upstream-latency, we
	  are now forced to use queues (hence more thread) in order to store the pending
	  data whenever we have an upstream source that has lower latency.
	  This fixes the issue by allowing to buffer the fixed upstream latency. This is
	  particularly handy on single core systems were having too many threads can
	  cause serious performance issues.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/677>

2017-09-08 19:59:27 -0400  Olivier Crête <olivier.crete@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	* plugins/elements/gstidentity.c:
	* plugins/elements/gstidentity.h:
	  identity: Add a stats property
	  This is inspired by the stats on rtpjitterbuffer, it's useful
	  to be able to get some simple stats out of the pipeline without having
	  to write yet another pad probe.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/615>

2019-07-03 09:29:26 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* gst/gstiterator.c:
	* meson.build:
	* tests/misc/netclock-replay.c:
	* tools/gst-inspect.c:
	  meson: update glib minimum version to 2.56
	  In order to support the symbol g_enum_to_string in various
	  project using GStreamer ( gst-validate etc.), the glib minimum
	  version should be 2.56.0.
	  Remove compat code as glib requirement
	  is now > 2.56
	  Version used by Ubuntu 18.04 LTS
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/199>

2020-10-13 01:19:47 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: don't write to const char *
	  Our various deserializing functions require NULL terminators
	  to not over consume substrings (eg fields of an array). Instead
	  of writing a NULL terminator to the passed-in string, which may
	  result in segfaults, make a copy of the substring we're interested
	  in.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/446
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/672>

2018-10-27 13:01:02 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* gst/meson.build:
	* libs/gst/base/meson.build:
	* libs/gst/check/meson.build:
	* libs/gst/controller/meson.build:
	* libs/gst/net/meson.build:
	* meson.build:
	* pkgconfig/gstreamer-base-uninstalled.pc.in:
	* pkgconfig/gstreamer-base.pc.in:
	* pkgconfig/gstreamer-check-uninstalled.pc.in:
	* pkgconfig/gstreamer-check.pc.in:
	* pkgconfig/gstreamer-controller-uninstalled.pc.in:
	* pkgconfig/gstreamer-controller.pc.in:
	* pkgconfig/gstreamer-net-uninstalled.pc.in:
	* pkgconfig/gstreamer-net.pc.in:
	* pkgconfig/gstreamer-uninstalled.pc.in:
	* pkgconfig/gstreamer.pc.in:
	* pkgconfig/meson.build:
	  Meson: Use pkg-config generator
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4>

2020-10-10 00:53:42 +0900  Seungha Yang <seungha@centricular.com>

	* meson.build:
	  meson: Disallow DbgHelp for UWP build
	  Most symbols in DbgHelp.h are not allowed for UWP
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/665>

2020-08-14 16:38:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gst_private.h:
	* gst/gstinfo.c:
	* meson.build:
	  Remove unused valgrind detection
	  Having this just to log a debug message in case we're
	  running inside valgrind doesn't seem very useful, and
	  the code that used to use this no longer exists it seems.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/595>

2020-10-07 03:49:33 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstinfo.c:
	  info: Fix build on Windows ARM64 device
	  gstinfo.c(3086): error C2094: label 'done' was undefined
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/662>

2020-10-09 12:13:15 +1100  Matthew Waters <matthew@centricular.com>

	* meson.build:
	  build: use cpu_family for arch checks
	  e.g. on 32-bit arm, we may have armv6, armv7l, armv7hf, etc which all
	  generally have the same layouts.  cpu_family() groups all of these into
	  just 'arm' that the ABI check table is expecting.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/664>

2020-10-08 13:37:41 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Fix in/outbuf confusion of _default_transform_meta
	  The default implementation doesn't actually use its buffer parameters,
	  but this error might have been the cause of some actual confusion in
	  the plugins code.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/663>

2020-09-04 20:47:18 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* gst/gst.c:
	  gst_init: Call gst_init_static_plugins() when available
	  When doing a static build, gstreamer-full-1.0 defines that symbol to
	  register static plugins. Cerbero's Android build will be updated to
	  implement that symbol too.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/641>

2020-09-17 20:44:43 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gst_private.h:
	* gst/gststructure.c:
	* gst/gstutils.c:
	* gst/gstvalue.c:
	* gst/gstvalue.h:
	* gst/parse/grammar.y.in:
	* tests/check/gst/gstvalue.c:
	  gstvalue: expose gst_value_deserialize_with_pspec()
	  Typing hints can only be passed to gst_value_deserialize()
	  through the type of the passed-in value. This means deserialization
	  can only target the desired type for the top-level elements,
	  making it for example impossible to deserialize an array of
	  flags to the expected type.
	  This commit exposes a new function, gst_value_deserialize_full(),
	  that takes an optional pspec as the extra parameter, and updates
	  the deserialization code to pass around that pspec, or the
	  element_spec when recursively parsing the elements of a list-type
	  value.
	  This allows for example passing arrays of flags through the
	  command line or gst_util_set_object_arg, eg:
	  foo="<bar,bar+baz>"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/629>

2020-09-15 21:07:27 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstinfo.c:
	* meson.build:
	  info: Load DbgHelp.dll using g_module_open()
	  ... and update meson file so that enable it only using required headers.
	  "dependency(...)" is unlikely successful for Windows SDK libraries
	  since it doesn't ship pkg-config file. So it needs to be changed
	  to "find_library()" to link corresponding .lib file. That would
	  result to most MSVC build system will link dbghelp.dll. However,
	  one drawback of the change is that gstreamer-1.0.dll will mandate
	  dbghelp.dll although it should be optional. So g_module_open() way
	  can be the most safe way in this case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/626>

2020-09-30 11:56:40 +1000  Matthew Waters <matthew@centricular.com>

	* gst/gstpadtemplate.c:
	  padtemplate: mark documentation caps as may be leaked
	  The template itself is already marked as such and the caps, the
	  documentation caps are a logical extension of those two.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/650>

2020-09-26 09:11:40 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/gstpadtemplate.c:
	  padtemplate: add missing annotation
	  Adds missing "transfer full" annotation for caps parameter in
	  gst_pad_template_set_documentation_caps()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/648>

2020-09-26 09:09:48 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/gstmemory.h:
	  memory: fix documentation to display in html
	  Commit e9c99c05 added a deprecation message, but this message is not
	  displayed in the html page since the format was not correct.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/648>

2020-09-01 23:03:18 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gst.c:
	* gst/gst_private.h:
	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* gst/gstmeta.c:
	* gst/gstmeta.h:
	* tests/check/gst/gstmeta.c:
	  meta: expose API to register and create custom meta
	  Custom meta is backed by a GstStructure, and does not require
	  that users of the API expose their GstMeta implementation as
	  public API for other components to make use of it.
	  In addition, it provides a simpler interface by ignoring the
	  impl vs. api distinction that the regular API exposes.
	  This new API is meant to be the meta counterpart to custom events
	  and messages, and to be more convenient than the lower-level API
	  when the absolute best performance isn't a requirement.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/609>

2017-07-11 18:54:05 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/gstmemory.h:
	  memory: Deprecate GST_MEMORY_FLAG_NO_SHARE
	  This flag always causes problems as it prevents subbuffering,
	  instead one should create a custom GstAllocator to pool the GstMemory objects
	  and not rely on the lifetime of the GstBuffer object they were originally
	  attached to.
	  https://bugzilla.gnome.org/show_bug.cgi?id=757254
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/614>

2020-09-16 02:16:52 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstmeta.c:
	  gstmeta: intern registered impl string
	  Subsequent lookups in the hashtable are probably better done
	  on memory we're confident is allocated to us :)
	  It was easy to trigger invalid reads by calling gst_meta_register
	  with dynamically allocated memory, freeing that memory, then
	  calling gst_meta_get_info()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/628>

2020-07-06 14:55:38 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/gstdeviceprovider.c:
	* gst/gstdeviceprovider.h:
	  deviceprovider: Returns non-floating devices from gst_device_provider_probe
	  This should make the API usage more consistent. Also document that the subclasses
	  should just return the devices as floating.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/558>

2020-07-31 16:02:03 +1000  Matthew Waters <matthew@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: don't fail all sink pads when a caps event fails negotiation
	  If one pad returns not-negotiated from a caps event, then all other sink
	  pads were returning not-negotiated.
	  In our case, we can't reliably easily fail at all so just remove that
	  code.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/623>

2020-07-31 01:10:27 +1000  Matthew Waters <matthew@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	* tests/check/libs/baseparse.c:
	  baseparse: prefer upstream caps rather than overriding
	  e.g. h264parse ! video/x-h264,stream-format=avc receives the following:
	  - caps: video/x-raw,stream-format=byte-stream
	  - gap event: baseparse tries to choose some default caps but would
	  override the downstream chosen caps field with upstreams value.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/581>

2020-09-18 09:59:03 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Hold SRC_LOCK while unblocking via SRC_BROADCAST()
	  Otherwise the clock id we access might not be a valid pointer anymore.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/630>

2020-09-15 06:35:34 +0900  Seungha Yang <seungha@centricular.com>

	* tests/check/elements/leaks.c:
	  tests: leaks: Allow null tracer string if there's no available stack trace
	  In case that no available stack tracer, leak tracer will set
	  null string value for `trace` field. I would likely happen
	  on Windows.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/625>

2020-09-15 04:24:20 +0900  Seungha Yang <seungha@centricular.com>

	* tests/check/gst/gstelement.c:
	  tests: element: Don't run too many loop
	  g_thread_yield() doesn't ensure thread switching actually.
	  It would result to adding so many pads. Depending on system,
	  timeout might happen then.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/625>

2020-09-15 00:54:58 +0900  Seungha Yang <seungha@centricular.com>

	* tests/check/pipelines/seek.c:
	  tests: seek: Don't use too strict timeout for validation
	  Expected segment-done message might not be seen within expected
	  time if system is not powerful enough.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/625>

2020-09-11 02:59:51 +0900  Seungha Yang <seungha@centricular.com>

	* plugins/elements/gstvalve.c:
	  valve: Fix MSVC compile warning
	  gstvalve.c(285) : warning C4715: 'gst_valve_event_needs_dropping':
	  not all control paths return a value
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/624>

2020-07-01 19:15:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstevent.c:
	* gst/gstevent.h:
	* gst/gstquark.c:
	* gst/gstquark.h:
	  event: Add optional flags to the GAP event
	  This allows to signal the reason for the gap, for example missing data
	  like packet loss.
	  Based on a patch by Mikhail Fludkov <misha@pexip.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/551>

2020-09-10 14:17:26 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/check/gstharness.c:
	* libs/gst/check/gstharness.h:
	  harness: Add gst_harness_set_live()
	  By default each harness returns is_live=TRUE in latency queries. This is
	  often not desired and can now be overridden.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/599>

2020-08-19 21:17:31 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Reset latency values in start()
	  Some base classes like videoaggregator try retrieving the latency during
	  construction, which causes the latency values to be set already until
	  reconfiguration happens.
	  By resetting them the same way as in stop() we ensure that we always
	  start cleanly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/599>

2020-09-08 12:45:42 +0100  Tom Schoonjans <Tom.Schoonjans@rfi.ac.uk>

	* libs/gst/helpers/ptp_helper_post_install.sh:
	  ptp_helper_post_install.sh: deal with none
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/620>

2020-09-09 01:23:11 +0800  Xℹ Ruoyao <xry111@mengyan1223.wang>

	* tests/check/meson.build:
	  skip elements/leak.c if tracer is not available
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/621>

2020-08-20 11:09:11 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Wake up source pad in PAUSED<->PLAYING transitions
	  When going to PLAYING we will now have a clock and can stop waiting on
	  the condition variable and instead start waiting on the clock if
	  necessary for the current configuration.
	  In the other direction when going to PAUSED the clock might have
	  disappeared and we might need to wait on the condition variable again
	  instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/601>

2020-08-24 11:59:51 +0300  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstinputselector.c:
	  input-selector: Wake up blocking pads when releasing them
	  Otherwise deactivating them will cause a deadlock as they're blocking
	  inside the streaming thread.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/601
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/606>

2020-08-14 11:40:30 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* plugins/elements/gstvalve.c:
	* plugins/elements/gstvalve.h:
	  valve: Add modes to forward sticky events when dropping and to convert buffers into gap events
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/587
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/84
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/594>

2020-09-01 00:26:31 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* tests/check/libs/aggregator.c:
	  aggregator: make peek() has() pop() drop() buffer API threadsafe
	  Enforce that the last buffer that was peeked (or had its existence
	  checked) on a pad is the one that gets popped / dropped, resetting
	  at the end of each aggregation cycle.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/603
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/608>

2020-09-08 13:40:25 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/helpers/meson.build:
	  ptp: Also handle gnu/kfreebsd
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/619>

2020-09-08 17:30:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	  ci: include template from gst-ci master branch again

2020-09-08 16:58:20 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.18.0 ===

2020-09-08 00:01:33 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	* ChangeLog:
	* NEWS:
	* README:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.18.0

2020-09-07 20:22:38 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* scripts/dist-translations.py:
	* scripts/meson.build:
	  meson: dist pot file in tarballs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/618>

2020-08-21 11:06:57 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Document that samples_selected() must only be called from the aggregate() function
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/607>

2020-08-20 10:54:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Don't automatically adjust segment if subclass provided one
	  On the first buffer the base class would update the segment position
	  based on the start-time-selection. If the subclass provides its own
	  segment this will caused unexpected behaviour and override segment
	  information that was explicitly set by the subclass.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/600>

=== release 1.17.90 ===

2020-08-20 16:08:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.17.90

2020-08-10 22:42:54 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: fix documentation for samples-selected and buffer-consumed
	  GI expects the instance parameter to be documented, omitting it
	  leads to a msismatched output in the gir.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/592>

2020-08-07 09:30:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	  aggregator: Add optional GstStructure info parameter to "samples-selected" signal
	  Subclasses can use this to provide more information, for example
	  audioaggregator could provide the offset into the output buffer where
	  the next data is going to be filled.
	  See https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/issues/805
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/590>

2020-08-05 16:54:44 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	  aggregator: add segment, pts, dts and duration to samples-selected
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/588>

2020-08-04 07:10:03 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* tests/validate/meson.build:
	  Meson: Override gst-tester-1.0 program to find it in other modules
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/586>

2020-08-03 16:26:58 +0300  Jordan Petridis <jordan@centricular.com>

	* gst/gstcaps.c:
	* gst/gstdeviceproviderfactory.c:
	* gst/gstelementfactory.c:
	* gst/gstminiobject.c:
	* gst/gstobject.c:
	* gst/gststructure.c:
	  fix clang 10 warnings
	  the typesystem checks in g_atomic_pointer_compare_and_exchange
	  seem to trigger some false positives with clang 10
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/584>

2020-08-04 11:13:51 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: fix iteration direction in skip_buffers
	  Subclasses use the pad segment to determine whether a buffer
	  should be skipped, we thus don't want to check if a buffer
	  needs to be skipped before processing the segment it's part
	  of.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/585>

2020-07-30 19:31:55 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gsturi.c:
	* gst/gsturi.h:
	* tests/check/gst/gsturi.c:
	  gsturi: Add new API for storing unmodified userinfo / fragment
	  New API: gst_uri_from_string_escaped()
	  Identical to gst_uri_from_string() except that the userinfo and
	  fragment components of the URI will not be unescaped while parsing.
	  This is needed for correctly parsing usernames or passwords with `:`
	  in them such as reported at:
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/831
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/583>

2020-08-01 01:57:06 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* tests/check/gst/gsturi.c:
	  tests: Add more tests for gsturi
	  Add tests that exercise unescaping of userinfo and fragments.
	  Also convert to a modular macro-based definition so that we can reuse
	  the list of tests in the next commit.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/583>

2020-07-30 19:53:10 -0400  Thibault Saunier <tsaunier@igalia.com>

	* tools/gst-inspect.c:
	  inspect: Print preset description when available
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/582>

2020-06-30 21:10:05 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	  aggregator: expose sample selection API
	  See https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/issues/771
	  for context.
	  This exposes new API that subclasses must call from their
	  aggregate() implementation to signal that they have selected
	  the next samples they will aggregate: gst_aggregator_selected_samples()
	  GstAggregator will emit a new signal there, `samples-selected`,
	  handlers can then look up samples per pad with the newly-added
	  gst_aggregator_peek_next_sample.
	  In addition, a new FIXME is logged when subclasses haven't actually
	  called `selected_samples` from their aggregate() implementation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/549>

2020-07-28 10:59:35 +0900  Hosang Lee <hosang10.lee@lge.com>

	* gst/gsturi.c:
	* tests/check/gst/gsturi.c:
	  gsturi: unescape '=' in http query
	  Don't use percent-encoding for '=' in http queries.
	  '=' in the following kind of http query should be maintained.
	  example:
	  ?token=exp=123~acl=/QualityLevels(*~hmac=0cb ...
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/580>

2020-07-24 13:31:47 +0200  Camilo Celis Guzman <camilo@pexip.com>

	* libs/gst/base/gstbasetransform.c:
	* tests/check/libs/test_transform.c:
	* tests/check/libs/transform1.c:
	  basetransform: handle invalid subclass implementation for fixate_caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/575>

2020-07-24 17:53:00 -0400  Olivier Crête <olivier.crete@collabora.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Don't push pointless new segment events
	  In 1.0, there is no concept of segment update, so don't push new
	  identical segments.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/578>

2020-07-24 11:38:28 -0400  Thibault Saunier <tsaunier@igalia.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Fix seqnum handling in pull mode
	  After a seek in pull mode, we should use the seek seqnum for all
	  following operations, not some random seqnums
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/577>

2020-07-26 15:30:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* libs/gst/check/gstcheck.h:
	  check: suppress g-ir-scanner warnings
	  Make g-ir-scanner skip all those check macros that are
	  not useful for or usable from bindings.
	  gstcheck.h:209: Warning: GstCheck: Unknown namespace for symbol 'fail_unless_message_error'
	  gstcheck.h:212: Warning: GstCheck: Unknown namespace for symbol 'assert_message_error'
	  gstcheck.h:251: Warning: GstCheck: Unknown namespace for symbol 'fail_unless_equals_int'
	  gstcheck.h:267: Warning: GstCheck: Unknown namespace for symbol 'assert_equals_int'
	  gstcheck.h:280: Warning: GstCheck: Unknown namespace for symbol 'fail_unless_equals_int_hex'
	  gstcheck.h:299: Warning: GstCheck: Unknown namespace for symbol 'assert_equals_int_hex'
	  gstcheck.h:310: Warning: GstCheck: Unknown namespace for symbol 'fail_unless_equals_int64'
	  gstcheck.h:327: Warning: GstCheck: Unknown namespace for symbol 'assert_equals_int64'
	  gstcheck.h:340: Warning: GstCheck: Unknown namespace for symbol 'fail_unless_equals_int64_hex'
	  gstcheck.h:358: Warning: GstCheck: Unknown namespace for symbol 'assert_equals_int64_hex'
	  gstcheck.h:369: Warning: GstCheck: Unknown namespace for symbol 'fail_unless_equals_uint64'
	  gstcheck.h:386: Warning: GstCheck: Unknown namespace for symbol 'assert_equals_uint64'
	  gstcheck.h:399: Warning: GstCheck: Unknown namespace for symbol 'fail_unless_equals_uint64_hex'
	  gstcheck.h:417: Warning: GstCheck: Unknown namespace for symbol 'assert_equals_uint64_hex'
	  gstcheck.h:428: Warning: GstCheck: Unknown namespace for symbol 'fail_unless_equals_string'
	  gstcheck.h:444: Warning: GstCheck: Unknown namespace for symbol 'assert_equals_string'
	  gstcheck.h:455: Warning: GstCheck: Unknown namespace for symbol 'fail_unless_equals_float'
	  gstcheck.h:474: Warning: GstCheck: Unknown namespace for symbol 'assert_equals_float'
	  gstcheck.h:487: Warning: GstCheck: Unknown namespace for symbol 'fail_unless_equals_pointer'
	  gstcheck.h:506: Warning: GstCheck: Unknown namespace for symbol 'assert_equals_pointer'
	  gstcheck.h:517: Warning: GstCheck: Unknown namespace for symbol 'fail_unless_equals_clocktime'
	  gstcheck.h:534: Warning: GstCheck: Unknown namespace for symbol 'MAIN_START_THREADS'
	  gstcheck.h:547: Warning: GstCheck: Unknown namespace for symbol 'MAIN_START_THREAD_FUNCTIONS'
	  gstcheck.h:555: Warning: GstCheck: Unknown namespace for symbol 'MAIN_START_THREAD_FUNCTION'
	  gstcheck.h:626: Warning: GstCheck: Unknown namespace for symbol 'ASSERT_CRITICAL'
	  gstcheck.h:628: Warning: GstCheck: Unknown namespace for symbol 'ASSERT_CRITICAL'
	  gstcheck.h:640: Warning: GstCheck: Unknown namespace for symbol 'ASSERT_WARNING'
	  gstcheck.h:652: Warning: GstCheck: Unknown namespace for symbol 'ASSERT_OBJECT_REFCOUNT'
	  gstcheck.h:661: Warning: GstCheck: Unknown namespace for symbol 'ASSERT_OBJECT_REFCOUNT_BETWEEN'
	  gstcheck.h:676: Warning: GstCheck: Unknown namespace for symbol 'ASSERT_CAPS_REFCOUNT'
	  gstcheck.h:679: Warning: GstCheck: Unknown namespace for symbol 'ASSERT_BUFFER_REFCOUNT'
	  gstcheck.h:682: Warning: GstCheck: Unknown namespace for symbol 'ASSERT_MINI_OBJECT_REFCOUNT'
	  gstcheck.h:690: Warning: GstCheck: Unknown namespace for symbol 'ASSERT_SET_STATE'
	  gstcheck.h:729: Warning: GstCheck: Unknown namespace for symbol 'tcase_skip_broken_test'
	  gstcheck.h:740: Warning: GstCheck: Unknown namespace for symbol 'tcase_skip_broken_loop_test'
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/579>

2020-07-26 14:52:30 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstutils.h:
	  utils: silence g-ir-scanner warnings about float conversion macros
	  663: Warning: Gst: symbol='GFLOAT_TO_LE': Unknown namespace for symbol 'GFLOAT_TO_LE'
	  664: Warning: Gst: symbol='GFLOAT_TO_BE': Unknown namespace for symbol 'GFLOAT_TO_BE'
	  665: Warning: Gst: symbol='GDOUBLE_TO_LE': Unknown namespace for symbol 'GDOUBLE_TO_LE'
	  666: Warning: Gst: symbol='GDOUBLE_TO_BE': Unknown namespace for symbol 'GDOUBLE_TO_BE'
	  669: Warning: Gst: symbol='GFLOAT_TO_LE': Unknown namespace for symbol 'GFLOAT_TO_LE'
	  670: Warning: Gst: symbol='GFLOAT_TO_BE': Unknown namespace for symbol 'GFLOAT_TO_BE'
	  671: Warning: Gst: symbol='GDOUBLE_TO_LE': Unknown namespace for symbol 'GDOUBLE_TO_LE'
	  672: Warning: Gst: symbol='GDOUBLE_TO_BE': Unknown namespace for symbol 'GDOUBLE_TO_BE'
	  678: Warning: Gst: symbol='GFLOAT_FROM_LE': Unknown namespace for symbol 'GFLOAT_FROM_LE'
	  679: Warning: Gst: symbol='GFLOAT_FROM_BE': Unknown namespace for symbol 'GFLOAT_FROM_BE'
	  680: Warning: Gst: symbol='GDOUBLE_FROM_LE': Unknown namespace for symbol 'GDOUBLE_FROM_LE'
	  681: Warning: Gst: symbol='GDOUBLE_FROM_BE': Unknown namespace for symbol 'GDOUBLE_FROM_BE'
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/579>

2020-07-26 14:48:52 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/math-compat.h:
	  math-compat.h: silence g-ir-scanner warnings
	  Easier to just make g-ir-scanner skip this header via #ifndef __GI_SCANNER__
	  than maintain different sets of headers in the meson.build file.
	  Warning: Gst: symbol="rint": Unknown namespace for symbol "rint"
	  Warning: Gst: symbol="rintf": Unknown namespace for symbol "rintf"
	  Warning: Gst: symbol="isnan": Unknown namespace for symbol "isnan"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/579>

2020-07-26 14:42:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstevent.h:
	* gst/gstquery.h:
	  event, query: fix g-ir-scanner warnings
	  gstevent.h:72: Warning: Gst: symbol='FLAG': Unknown namespace for symbol 'FLAG'
	  gstquery.h:76: Warning: Gst: symbol='FLAG': Unknown namespace for symbol 'FLAG'
	  Use _FLAG(xyz) instead of FLAG(xyz) to silence g-ir-scanner
	  warnings about this internal helper define.
	  It's also slightly more hygienic.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/579>

2020-07-24 13:30:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gsttracer.c:
	* gst/gsttracer.h:
	* gst/gsttracerrecord.c:
	* gst/gsttracerrecord.h:
	* gst/gsttracerutils.c:
	* gst/meson.build:
	* plugins/tracers/meson.build:
	* tests/check/meson.build:
	  tracer: declare GstTracer API stable
	  It's been around for more than 4 years and people have built
	  lots of stuff on top of it, doesn't really make sense to keep
	  it marked as unstable. We're unlikely to change it now, and
	  we can always deprecate it and make a new one if needed.
	  This stabilises the following API:
	  - gst_tracer_register()
	  - gst_tracing_get_active_tracers()
	  - gst_tracing_register_hook()
	  - gst_tracer_record_new()
	  - gst_tracer_record_log()
	  Might also help a bit with #424
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/576>

2020-07-23 14:51:51 +1000  Matthew Waters <matthew@centricular.com>

	* libs/gst/check/gstharness.c:
	  harness: unref sink/src caps after deactivating pads
	  Otherwise, access to the harness' sink/src caps is racy between any caps
	  query performed by an element and gst_harness_teardown().
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/issues/794
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/574>

2020-07-22 12:44:02 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* libs/gst/check/libcheck/check.c:
	* libs/gst/check/libcheck/check.h.in:
	  check: Always mark _ck_assert_failed as noreturn
	  So that we can use `fail` like `g_assert_not_reached`.
	  The comment is apparently wrong or outdated, as GCC considers it legal
	  for noreturn-marked functions to return using longjmp.
	  See the thread at
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/59#note_576422
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/573>

2020-07-14 12:15:34 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstbuffer.c:
	  buffer: improve seqnum fallback warning message
	  Print target CPU we're building for.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/565>

2020-07-14 12:11:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstbuffer.c:
	  buffer: fix meta sequence number fallback on rpi
	  The global seqnum variable wasn't actually increased in
	  the fallback code path, leading to all buffers getting
	  a seqnum of 0. Which also made the unit test fail.
	  This affects platforms/toolchains that don't have
	  64-bit atomic ops such as when compiling for armv7 rpi.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/565>

2020-07-09 09:46:07 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* meson.build:
	  meson: add a plugin summary
	  This summary displays a list of plugins which
	  have been enabled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/560>

2020-07-22 10:51:54 +0300  Eero Nurkkala <eero.nurkkala@offcode.fi>

	* tools/gst-inspect.c:
	  gst-inspect: fix memory leak
	  With meson configure option: -Db_sanitize=address, the following
	  issue is seen while running the test "tools_gstinspect":
	  Running suite(s): gst-inspect
	  =================================================================
	  ==20880==ERROR: LeakSanitizer: detected memory leaks
	  Direct leak of 51 byte(s) in 9 object(s) allocated from:
	  #0 0x7ffb4dbb0b40 in __interceptor_malloc (/usr/lib/x86_64-linux-gnu/libasan.so.4+0xdeb40)
	  #1 0x7ffb4cdf1ab8 in g_malloc (/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0+0x51ab8)
	  SUMMARY: AddressSanitizer: 51 byte(s) leaked in 9 allocation(s).
	  0%: Checks: 1, Failures: 0, Errors: 1
	  GOptionEntry man page states that: "Please note that parsed arguments need to be freed separately (see GOptionEntry)."
	  Thus, free the 'min_version' string that has been allocated but never freed.
	  Signed-off-by: Eero Nurkkala <eero.nurkkala@offcode.fi>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/572>

2020-07-20 17:08:32 +1000  Matthew Waters <matthew@centricular.com>

	* gst/gstbufferpool.c:
	  gst/bufferpool: only resize in reset when maxsize is larger
	  Only resize the buffer if the maxsize is larger then the configued pool
	  size.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/570>

2020-07-16 23:03:35 +1000  Matthew Waters <matthew@centricular.com>

	* plugins/tracers/meson.build:
	  build/coretracers: add dep on threads
	  Fixes the following build error and missing '-pthread' argument when
	  linking:
	  subprojects/gstreamer/plugins/tracers/libgstcoretracers.so.p/gstleaks.c.o: In function `gst_leaks_tracer_setup_signals':
	  /work/build32/../subprojects/gstreamer/plugins/tracers/gstleaks.c:919: undefined reference to `pthread_atfork'
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/571>

2020-07-14 00:03:18 -0400  Thibault Saunier <tsaunier@igalia.com>

	* libs/gst/controller/gstdirectcontrolbinding.c:
	* tests/check/libs/controller.c:
	  directcontrolbinding: Properly initialize default `last_value`
	  It was zero and in some condition it means that the control binding
	  values where ignored (as shown in the test). Setting it to MAXDOUBLE
	  so that the first time we sync the values from a a timestamp in the
	  right range the proper value is computed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/564>

2020-07-16 18:55:22 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstinfo.c:
	  info: Fix possible broken debug output on Windows
	  Depending on Windows codepage setting, some characters could
	  be broken when printing on terminal. Fortunatly g_print* family will
	  take care Windows codepage.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/566>

2020-07-16 16:34:05 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/gstpad.h:
	  pad: More explicitly explain how to post errors on GST_FLOW_ERROR
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/568>

2020-07-15 16:12:02 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* plugins/tracers/gstlatency.c:
	  latency tracer: Fix leaks in the reported latency trace
	  The stack item was not freed as it was supposed, causing leaks.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/269>

2019-08-30 23:59:42 +1000  Jan Schmidt <jan@centricular.com>

	* plugins/tracers/gstlatency.c:
	  latency tracer: Fix unsafe and NULL pointer accesses
	  Use thread-safe accesses to pad peers and parent objects. This
	  fixes some crashers and all the non-safe access patterns I could
	  spot. There's still some weirdness when using the latency
	  tracer on pipeline chains that aren't yet linked, but this
	  at least stops it segfaulting.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/269>

2020-07-13 08:00:15 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstinfo.h:
	  Revert "gstinfo: Check threshold for category from macro"
	  This reverts commit dcece2a878b88335fd1990dbeeb88bdeacba0f06.
	  This increased the code size and number of branches for all debug statements.
	  Fixes #564
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/563>

2020-07-10 17:11:08 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	  aggregator: expose gst_aggregator_finish_buffer_list API
	  See https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1276
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/562>

2020-07-06 11:55:38 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* tests/check/elements/leaks.c:
	  tests/elements/leaks.c: check get_tracer_by_name return value
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/557>

2020-05-18 19:45:35 +0900  Seungha Yang <seungha@centricular.com>

	* libs/gst/base/gstbasesrc.c:
	  basesrc: Deprecate gst_base_src_new_seamless_segment()
	  It can be replaced by gst_base_src_new_segment()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/490>

2020-05-17 00:08:56 +0900  Seungha Yang <seungha@centricular.com>

	* libs/gst/base/gstbasesrc.c:
	* libs/gst/base/gstbasesrc.h:
	  basesrc: Add new API for handling GstSegment update by subclass
	  Add API gst_base_src_new_segment() for subclass to be able to
	  signalling new GstSegment which should be applied to following
	  buffers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/490>

2020-07-09 07:57:01 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gsttaglist.c:
	* gst/gsttaglist.h:
	  taglist: Stop inlining gst_tag_list_copy
	  This way it gets exposed to bindings through GObject Introspection.
	  Same logic as with d1b2d3429c66d80b8d38f9afc6a8dfca49f3a71a
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/561>

2020-07-08 05:15:28 +0900  Seungha Yang <seungha@centricular.com>

	* libs/gst/check/gstcheck.h:
	  check: Use g_thread_yield instead of g_usleep(1)
	  Since the commit
	  https://gitlab.gnome.org/GNOME/glib/-/commit/01c02ac08b682de622930b1278c9c14d0ffe6c49,
	  g_usleep(1) will be translated to Sleep(1) on Windows which means
	  sleep in 1 millisecond. But GLib provides g_thread_yield() API
	  which is exactly what we required here for thread context switching.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/559>

2020-01-08 19:38:45 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst/gstdevicemonitor.c:
	* gst/gstdeviceprovider.c:
	* tests/check/gst/gstdevice.c:
	  deviceprovider: Do static probe on start as fallback
	  For providers that don't support dynamic probing, just fall back to doing
	  a static one on start() to make the UI developers life easier.
	  This also means that the monitor doesn't need to call _can_monitor() before
	  calling start.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/353>

2018-05-02 13:05:21 +0200  Christoph Reiter <reiter.christoph@gmail.com>

	* gst/gstelementfactory.c:
	  gstelementfactory: Fix missing features in case a feature moves to another filename
	  In case a plugin filename was renamed with the plugin being in the registry cache
	  the features were not loaded after the rename:
	  1) Cache of old/gone filename was loaded, features added
	  2) New filename was loaded, features where not added because
	  they were already found in the registry.
	  3) In the end stale cache entries for files which are no longer there
	  are removed, including the wanted features.
	  4) The cache gets updated without the features.
	  Fix this by also checking at (2) that the found feature is from the loaded plugin
	  and not from some stale cache entry.
	  This affected directsoundsink where libgstdirectsoundsink.dll was renamed
	  to libgstdirectsound.dll, losing the directsoundsink element in the process.
	  Fixes #290
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/102>

2020-07-04 16:59:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* scripts/extract-release-date-from-doap-file.py:
	  meson: set release date from .doap file for releases
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/555>

2020-07-05 18:17:48 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/POTFILES:
	  po: update POTFILES
	  xgettext: error while opening "gst/parse/grammar.y" for reading: No such file or directory
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/586
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/556>

2020-07-03 11:45:36 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/helpers/meson.build:
	  ptp: Add GNU Hurd to the list of supported platforms and fix the Solaris name
	  https://mesonbuild.com/Reference-tables.html#operating-system-names has
	  the table of all supported names right now.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/583
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/554>

2020-07-02 11:21:27 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstelement.c:
	  element: When removing a ghost pad also unset its target
	  Otherwise the proxy pad of the ghost pad still stays linked to some
	  element inside the bin, which is not allowed anymore according to the
	  topology.
	  In 2.0 this should be fixed more generically from inside GstGhostPad but
	  currently there is no way to get notified that the ghost pad is
	  unparented.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/553>

2020-07-03 02:03:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.2 ===

2020-07-03 00:22:34 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.17.2

2020-07-01 20:20:16 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gststreams.c:
	  stream: Don't use GST_FIXME_OBJECT() when generating a random stream id if the caller didn't provide one
	  That would call into gst_info_describe_stream(), which takes the same
	  mutex a second time and then deadlocks.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/552>

2020-05-11 17:44:43 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstutils.c:
	  gstutils: fix link in parse_bin_from_description_full doc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/475>

2020-06-26 00:50:44 +1000  Jan Schmidt <jan@centricular.com>

	* gst/gstbin.h:
	  gstbin: Fix docs typo
	  element-added-deep -> deep-element-added in the GstBin doc header
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/547>

2020-06-25 02:14:56 +0900  Seungha Yang <seungha@centricular.com>

	* docs/gst-plugins-doc-cache-generator.py:
	  docs: Specify UTF-8 encoding everywhere
	  Otherwise some non-English character might be broken depending on
	  OS and/or locale.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/545>

2020-06-25 01:37:43 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* hooks/pre-commit.hook:
	  hooks: add opt-in cache update hook
	  CI now checks that plugin caches are up to date, for example
	  when adding a new property to an element.
	  This is something pretty easy to forget, and it can be checked
	  in a pre-commit hook provided the cache generator generates no
	  unnecessart diff on the developer's machine. This is now the
	  case for me in core, -base and -good, and eventually all the
	  repositories should behave appropriately, at least on my
	  development machine.
	  The new check in the pre-commit hook is only performed when
	  the user is in the development environment (it checks
	  $MESON_BUILD_ROOT to determine that), and when the developer
	  has opted-in by setting `GST_CACHE_HOOK=enabled`. That is
	  because the hook will actually rebuild the cache with ninja,
	  and modify it in the source directory, that's not a behaviour
	  we want to enable by default.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/546>

2020-06-24 22:51:48 +0900  Seungha Yang <seungha@centricular.com>

	* tools/gst-inspect.c:
	  gst-inspect: Use gst_info_strdup_vprintf to print string
	  g_vprintf() will write a string binary to stdout directly using fwrite().
	  So, depending on character in the string, fwrite to stdout can
	  print broken one but printf family might not cause the issue.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/544>

2020-06-24 07:54:42 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst/gstbus.c:
	* tests/check/gst/gstbus.c:
	  bus: clear bus->priv->signal_watch immediately when the source is removed
	  There is a race-condition that can trigger the assertion in
	  gst_bus_add_signal_watch_full():
	  If gst_bus_add_signal_watch_full() is called immediately after
	  gst_bus_remove_signal_watch() then bus->priv->signal_watch may still be set
	  because gst_bus_source_dispose() or gst_bus_source_finalize() was not yet
	  called.
	  This happens if the corresponding GMainContext has the source queued for
	  dispatch. In this case, the following dispatch will only unref and delete
	  the signal_watch because it was already destroyed. Any pending messages
	  will remain until a new watch is installed.
	  So bus->priv->signal_watch can be cleared immediately when the watch is
	  removed. This avoid the race condition.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/543>

2020-06-23 01:54:15 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  gst-hotdoc-plugins-scanner: serialize interfaces

2020-06-22 23:41:06 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  gst-hotdoc-plugins-scanner: don't instantiate base classes

2020-06-21 02:00:54 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  gst-hotdoc-plugins-scanner: serialize parents in hierarchy when needed

2020-06-22 09:11:07 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	* docs/meson.build:
	  docs: Document signals and properties only for current type

2020-06-19 22:52:01 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	  doc: Stop documenting properties from parents

2020-06-23 05:18:11 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstregistrychunks.c:
	  registry: Print the pointer when printing features
	  This is what we do everywhere else too, useful for debugging.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/542>

2020-06-23 03:43:53 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstregistry.c:
	  registry: Use a toolchain-specific registry file on Windows
	  If we load a plugin registry for MinGW plugins when running with MSVC,
	  we will have to write out the whole cache again, and vice-versa. Just
	  use separate cache files so that the cache is actually useful.
	  Closes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/427
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/542>

2020-06-22 12:26:46 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstghostpad.c:
	* gst/gstghostpad.h:
	  ghostpad: Deprecate gst_ghost_pad_construct()
	  Instead do everything it did as part of GObject::constructed() and
	  change the function to always return TRUE.
	  gst_ghost_pad_construct() was meant to be called by subclasses right
	  after construction of the object to finish construction as it can fail
	  in theory. In practice it's impossible for it to fail, even more so if
	  called directly from GObject::constructed(): The only failure condition
	  is if the newly created proxy pad already has a parent, which is
	  impossible at this point as nothing else can have a reference to it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/540>

2020-05-19 22:54:20 +0200  Thor Andreassen <ta@toggle.be>

	* tools/gst-inspect-1.0.1:
	* tools/gst-inspect.c:
	  tools: gst-inspect, add option '--color' with short option '-C'
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/498>

2020-06-18 13:46:29 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstinfo.c:
	* gst/gstinfo.h:
	  info: Add a printf extension for ClockTime/ClockTimeDiff pointers
	  Using both GST_TIME_FORMAT+GST_TIME_ARGS and friend is cumbersome, this
	  makes it sensibly more user friendly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/535>

2020-06-20 00:27:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.1 ===

2020-06-19 19:13:36 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.17.1

2020-06-19 11:19:43 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-plugins-doc-cache-generator.py:
	* docs/plugins/gst_plugins_cache.json:
	  doc: Stop recording if building from source/release in plugin cache
	  Closes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/537
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/537>

2020-06-19 12:01:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstbuffer.c:
	* gst/gstdynamictypefactory.c:
	* gst/gstdynamictypefactory.h:
	* gst/gstelement.c:
	* gst/gstparamspecs.h:
	* gst/gstparse.c:
	* gst/gststructure.c:
	* gst/gsttracerfactory.c:
	* gst/gsttracerrecord.c:
	* gst/gsttracerrecord.h:
	* gst/gsttracerutils.c:
	* libs/gst/base/gstadapter.c:
	* libs/gst/base/gstaggregator.h:
	* libs/gst/base/gstbaseparse.c:
	  Fix up and add various "Since" markers and other related docs fixes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/536>

2020-06-18 15:52:40 +0700  Roman Shpuntov <roman.shpuntov@gmail.com>

	* gst/gstsystemclock.c:
	  systemclock: Fix clock time conversion on Windows/xbox
	  The returned ratio can be bigger than GST_SECOND, in which case we would
	  forever return 0 for the system clock time. Even in other cases if it's
	  close to GST_SECOND it would result in accuracy loss.
	  Instead of doing the division by GST_CLOCK_TIME_NONE during
	  initialization once, do it every time the clock time is requested.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/575
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/534>

2020-06-12 15:07:42 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstelement.c:
	* gst/gsttask.c:
	  gst: Delay creation of threadpools
	  Since glib 2.64, gthreadpool will start waiting on a GCond immediately upon
	  creation. This can cause issues if we fork *before* actually using the
	  threadpool since we will then be signalling that GCond ... from another process
	  and that will never work.
	  Instead, delay creationg of thread pools until the very first time we need
	  them. This introduces a minor (un-noticeable) delay when needing a new thread
	  but fixes the issues for all users of GSTreamer that will call gst_init, then
	  fork and actually start pipelines.
	  See https://gitlab.gnome.org/GNOME/glib/-/issues/2131 for more context.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/531>

2020-06-07 12:05:07 -0400  Thibault Saunier <tsaunier@igalia.com>

	* plugins/elements/gstinputselector.c:
	  inputselector: Push event on selected pad only when one is selected
	  Calling `gst_input_selector_get_active_sinkpad` triggers sinkpad
	  selection but won't notify about it, leading  to breaking code that
	  relying on it. This new code added as part of
	  63ccf45395ce734a2044a58193939a3eda50eb0c was thought to be triggered only
	  when a pad was already selected and not change the behavior otherwise
	  so this commit makes sure it is actually the case.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/issues/766
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/522>

2020-05-27 15:35:41 +0200  Edward Hervey <edward@centricular.com>

	* tests/check/gst/gstdatetime.c:
	  check: Fix datetime unit test for builds without assert
	  If built with assertions disabled, we need to ensure the variable is properly
	  reset before testing
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/530>

2020-06-11 10:56:10 +0900  sohwan.park <sohwan.park@lge.com>

	* tests/check/gst/gstmessage.c:
	  message: Add unit test for GST_MESSAGE_RATE_CHANGE
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/528>

2020-06-11 10:54:54 +0900  sohwan.park <sohwan.park@lge.com>

	* tests/check/gst/gstevent.c:
	  event: Add unit test for INSTANT_RATE_CHANGE and INSTANT_RATE_SYNC_TIME
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/528>

2020-06-11 10:53:59 +0900  sohwan.park <sohwan.park@lge.com>

	* tests/check/gst/gstsegment.c:
	  segment: Add unit test for GST_SEEK_FLAG_INSTANT_RATE_CHANGE
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/528>

2020-06-09 15:06:52 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	  docs: Update plugins cache

2020-06-09 15:05:54 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  docs: Fix the way we mark properties mutability
	  When nothing is specified, we should default to NULL, not PLAYING

2020-06-10 11:23:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Fix StartTimeSelection enum type registration
	  Make it thread-safe and use the actual C identifiers for the "name"
	  field, as otherwise gobject-introspection will fall apart.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/527>

2020-06-08 10:51:57 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	  docs: Update plugins cache

2016-09-01 17:33:13 +1000  Matthew Waters <matthew@centricular.com>

	* plugins/tracers/gstleaks.c:
	  tracers/leaks: fix reentrancy issues with the custom signal handlers
	  The signal handlers were performing mutex operations in the signal handlers
	  which is bad idea that may lead to deadlocks.
	  1. Implement a separate signal thread to handle the signals.
	  2. Use the glib provided signal GSource to avoid performing operations in
	  the signal handler.
	  Fix #186
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/487>

2020-06-08 22:47:56 +0200  Havard Graff <havard.graff@gmail.com>

	* gst/gst_private.h:
	  gst_private.h: increse padding in struct _GstClockEntryImpl
	  When compiling for 32bit ios arm, the static assert that the
	  GstClockEntryImpl smaller or equal to the struct _GstClockEntryImpl
	  triggered. (they were 12bytes off).
	  To fix this, the padding is increased by 12 bytes (on 32bit).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/525>

2020-06-08 16:04:51 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstparamspecs.h:
	  paramspecs: add 'Since: 1.18' markers for new param spec flags
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/524>

2020-06-07 20:56:49 +0900  Seungha Yang <seungha@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  doc: Add GstObject specific GParamFlags
	  Document "controllable", "mutable-{ready, paused, playing}" and
	  "conditonally-available" GParamFlags
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/283>

2019-09-11 13:51:04 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst/gstparamspecs.h:
	* tools/gst-inspect.c:
	  paramspecs: Add a GParamSpecFlag to indicate the property might not always exists
	  Add new flag for users to notice that the property is not guaranteed
	  to exist depending on environment.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/283>

2020-06-07 18:42:21 +0200  Edward Hervey <edward@centricular.com>

	* tests/check/elements/leaks.c:
	  check: Avoid race with leaks test
	  The problem is that the taskpool might not have completely drained by the time
	  we check for leaks.
	  Instead, ensure all tasks have stopped before testing for valid results.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/523>

2020-06-04 17:50:01 +0200  Camilo Celis Guzman <camilo@pexip.com>

	* plugins/elements/gstqueue.c:
	  queue: protect against lost wakeups for iterm_del condition
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/513>

2020-06-06 10:19:57 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  docs: Prevent potential NULL pointer dereference when serializing plugin object types
	  CID 1464007
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/516>

2020-06-06 08:24:01 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstpadtemplate.c:
	  padtemplate: Directly unreference the documentation caps
	  The public-facing API has a (valid) protection against NULL caps. We can just
	  directly remove it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/515>

2020-06-06 01:10:09 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstutils.c:
	  utils: fix markdown link to #GstPluginAPIFlags

2020-06-05 23:28:38 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	* gst/gstpadtemplate.c:
	* gst/gstpadtemplate.h:
	  padtemplate: expose getters and setters "documentation caps"
	  This can be used in elements where the caps of pad templates
	  are dynamically generated and dependent on the environment.
	  An example is x265enc.

2020-06-05 21:10:29 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	* gst/gstquark.c:
	* gst/gstquark.h:
	* gst/gstutils.c:
	* gst/gstutils.h:
	* plugins/elements/gstcapsfilter.c:
	* plugins/elements/gstfakesink.c:
	* plugins/elements/gstfakesrc.c:
	* plugins/elements/gstfilesink.c:
	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstmultiqueue.c:
	* plugins/elements/gstoutputselector.c:
	* plugins/elements/gstqueue.c:
	* plugins/elements/gsttee.c:
	* tests/check/gst/gstutils.c:
	  utils: expose GstPluginAPIFlags
	  These can be passed to gst_type_mark_as_plugin_api, to inform
	  plugin cache generation.
	  For now a single flag is specified, "IGNORE_ENUM_MEMBERS", it
	  can be used for dynamically generated enums to avoid documenting
	  environment-specific enumeration members. An example is
	  GstX265EncTune.

2020-06-01 16:18:50 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* plugins/elements/gstclocksync.c:
	* plugins/elements/gstidentity.c:
	* tests/check/gst/gstbin.c:
	  identity, clocksync: implement provide_clock
	  Since those are using the clock for sync, they need to also
	  provide a clock for good measure. The reason is that even if
	  downstream elements provide a clock, we don't want to have
	  that clock selected because it might not be running yet.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/509>

2020-06-02 22:39:41 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gststructure.c:
	  structure: Quickly document serialization format
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/510>

2020-06-03 09:17:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gststructure.c:
	  structure: Reflow the SECTION comment
	  Removing trailing whitespaces and avoiding to exceed 80chars
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/510>

2020-05-27 03:41:37 +1000  Jan Schmidt <jan@centricular.com>

	* plugins/elements/gstqueue2.c:
	  queue2: Defer downstream bitrate query to the streaming thread.
	  When we want to perform a downstream bitrate query, just
	  set the reconfigure flag on the srcpad and get the streaming
	  thread to do it. That avoids emitting a downstream query
	  when receiving the upstream RECONFIGURE event - which can
	  lead to deadlocks if downstream is sending the event from
	  within a lock - e.g. input-selector.
	  If querying the downstream bitrate changes the cached
	  value, then make sure to update our buffering state
	  and potentially post a BUFFERING message to the application.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/566
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/501>

2020-06-03 08:09:04 +0200  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstinputselector.c:
	  inputselector: Avoid deadlock when requesting pads
	  The deadlock was the following:
	  * One thread requests a new pad, the internal lock is kept while adding the pad
	  * Another thread (or the same one) requests the internal links of a pad (could
	  be that pad)... which also requires that lock.
	  That internal lock is not required when adding the pad to the element (which is
	  the last action when requesting a new pad). The fact it will be actually used
	  will be *after* the request pad function is released.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/512>

2020-06-04 03:24:50 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstparamspecs.h:
	* gst/gstvalue.h:
	  doc: document fundamental types

2020-06-03 18:33:51 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  doc: Require hotdoc >= 0.11.0

2020-06-02 22:25:24 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  docs: Don't include GObject and GstPipeline signals
	  They're already documented from elsewhere.

2020-06-02 12:25:00 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	  aggregator: Export GstAggregatorStartTimeSelection in the header and document it
	  It is used by one of the aggregator properties and was private in the
	  source file before.

2020-05-25 16:21:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	  docs: Update gst_plugins_cache.json

2020-05-28 21:51:22 +0300  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstcapsfilter.c:
	* plugins/elements/gstfakesink.c:
	* plugins/elements/gstfakesrc.c:
	* plugins/elements/gstfilesink.c:
	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstmultiqueue.c:
	* plugins/elements/gstoutputselector.c:
	* plugins/elements/gstqueue.c:
	* plugins/elements/gsttee.c:
	  plugins: Use gst_type_mark_as_plugin_api() for all non-element plugin types

2020-05-28 23:40:09 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  docs: Store all non-element types in a separate other-types array
	  And also make sure to not duplicate them.

2020-05-28 22:59:09 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  docs: Use gst_type_is_plugin_api() for deciding whether a type should be included in the docs

2020-05-28 20:56:14 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstquark.c:
	* gst/gstquark.h:
	* gst/gstutils.c:
	* gst/gstutils.h:
	  utils: Add helper function for marking types as plugin API
	  This can be used to mark additional types exposed by plugins (i.e.
	  enums, flags and GObjects) via properties, signals or pad templates as
	  plugin API. They can then be picked up by the documentation for the
	  plugin.
	  Not all types exposed by plugins are documented automatically because
	  they might come from an external library and should be documented from
	  there instead.

2020-05-26 13:06:20 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  docs: Don't try to print pad templates of non-GstElement types

2020-05-21 17:33:36 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	* docs/meson.build:
	  docs: Print object/flag/enum type information in a more structured way and in more places
	  Custom types are printed now for signal parameters/return value and properties, and more consistently.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-docs/-/issues/59

2020-06-04 11:21:45 +0200  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstqueue2.c:
	  queue2: Avoid races when posting buffering messages
	  When posting a buffering message succesfully:
	  * Remember the *actual* percentage value that was posted
	  * Make sure we only reset the percent_changed variable if the value we just
	  posted is indeed different from the current value
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/511>

2020-05-28 14:56:26 -0400  Thibault Saunier <tsaunier@igalia.com>

	* tests/validate/meson.build:
	  tests:validate: Whitelist validate plugins
	  This is required so we can use validateflow for example
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/506>

2020-05-28 12:39:08 -0400  Thibault Saunier <tsaunier@igalia.com>

	* tests/validate/gst-tester.c:
	  tester: Fix exit code on bailout/skipping
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/506>

2020-05-27 20:22:49 +1000  Matthew Waters <matthew@centricular.com>

	* gst/gstpromise.c:
	  promise: update documentation and annotations for NULL replies
	  The implementation and tests already handle NULL replies.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1300
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/502>

2020-05-27 12:26:01 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/leaks.c:
	  tests: leak tracer: disable stack traces for faster test execution
	  This test takes 39 seconds on my machine even though it just runs
	  a couple of fakesrc num-buffers=2 ! fakesink pipelines. Most of
	  the cpu seems to be spent in libz, related to stack trace management.
	  Use stack-traces-flags=none instead of stack-traces-flags=full
	  until a better solution can be found. Might warrant more
	  investigation in any case..
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/503>

2020-05-20 17:32:48 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* plugins/elements/gstqueue2.c:
	* tests/check/elements/queue2.c:
	  queue2: don't post unnecessary buffering message, refine locking
	  This is a follow up to review comments in !297
	  + The posting of the buffering message in READY_TO_PAUSED isn't
	  needed, removing it made the test fail, but the correct fix
	  was simply to link elements together
	  + Move code to relock the queue and set last_posted_buffering_percent
	  and percent_changed inside the buffering_post_lock in create_write().
	  This makes locking consistent with post_buffering()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/297>

2019-10-04 16:57:29 +0200  Carlos Rafael Giani <crg7475@mailbox.org>

	* plugins/elements/gstqueue2.c:
	* tests/check/elements/queue2.c:
	  queue2: Fix missing/dropped buffering messages at startup
	  This fixes a bug that occurs when an attempt is made to post a buffering
	  message before the queue2 was assigned a bus. One common situation where
	  this happens is when the use-buffering property is set to TRUE before the
	  queue2 was added to a bin.
	  If the result of gst_element_post_message() is not checked, and the
	  aforementioned situation occurs, then last_posted_buffering_percent and
	  percent_changed will still be updated, as if posting the message succeeded.
	  Later attempts to post again will not do anything because the code then
	  assumes that a message with the same percentage was previously posted
	  successfully and posting again is redundant.
	  Updating these variables only if posting succeed and explicitely
	  posting a buffering message in the READY->PAUSED state change ensure that
	  a buffering message is posted as early as possible.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/297>

2020-05-25 14:56:10 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: Only try initializing entries if they were not initialized before
	  And add assertions accordingly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/500>

2020-05-25 12:51:19 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: Clarify comment that described a previous version of the code
	  Nowadays we are only waking up the head entry waiting if either the head
	  entry is unscheduled (which is handled some lines above already), or
	  when the head entry specifically is woken up because a new entry became
	  the new head entry.
	  We're not waking up *all* entries anymore whenever any entry in the last
	  was unscheduled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/500>

2020-05-22 19:28:54 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: Get rid of atomic access to clock entry status and use the mutex instead
	  We already have a mutex in each clock entry anyway and need to make use
	  of that mutex in most cases when the status changes. Removal of the
	  atomic operations and usage of the mutex instead simplifies the code
	  considerably.
	  The only downside is that unscheduling a clock entry might block for the
	  time it needs for the waiting thread to go from checking the status of
	  the entry to actually waiting, which is not a lot of code.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/500>

2020-05-22 18:12:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: Don't start waiting for a clock id if it was signalled before
	  Otherwise it can happen that unscheduling a clock id never takes place
	  and instead it is waiting until the normal timeout. This can happen if
	  the wait thread checks the status and sets it to busy, then the
	  unschedule thread sets it to unscheduled and signals the condition
	  variable, and then the waiting thread starts waiting. As condition
	  variables don't have a state (unlike Windows event objects), we have to
	  remember ourselves in a new boolean flag protected by the entry mutex
	  whether it is currently signalled, and reset this after waiting.
	  Previously this was not a problem because a file descriptor was written
	  to for waking up, and the token was left on the file descriptor until
	  the read from it for waiting.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/500>

2020-02-15 22:20:18 +0530  dhilshad <mohddhilshadm@gmail.com>

	* plugins/elements/gstsparsefile.c:
	  sparsefile: fix possible crash when seeking
	  In gst_sparse_file_clear function we were closing a file and
	  reopening it using closed file descriptor.
	  Fix: Removed closing and reopening of file.
	  Fixes #512
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/372>

2017-11-04 13:28:03 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	* tests/check/gst/gstvalue.c:
	  value: Fix comparison of int/int64 ranges
	  ranges are only equal if:
	  * Their bounds are equal
	  * And their step value are equal *IF* they contain more than one value
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/issues/253

2020-05-12 02:05:25 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* plugins/elements/gstfdsink.c:
	  fdsink: do not supress legitimate errors when unlocking
	  Instead, only wait_preroll when writev_* returns FLUSHING
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/476>

2020-05-12 00:57:36 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* plugins/elements/gstfdsink.c:
	* plugins/elements/gstfdsink.h:
	  fdsink: remove unused struct member `bytes_written`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/476>

2020-05-12 00:54:56 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* plugins/elements/gstfilesink.c:
	  filesink: port over unlock code from fdsink
	  See also: 5216322d39448ed61c86bb1b3dd9c8c5e6feccf3
	  The previous code was causing "random" flushing returns
	  in scenarios with intensive state changes such as within
	  a buffering pipeline.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/476>

2020-05-19 22:24:39 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  docs: Add boolean field for readability of properties
	  Some properties are write-only.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/496>

2020-05-19 10:34:01 +0200  Thor Andreassen <ta@toggle.be>

	* tools/gst-inspect-1.0.1:
	  tools: option '-u' occurs twice in gst-inspect-1.0.1
	  I have removed the erroneous one according to the source file.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/492>

2020-05-19 14:16:49 -0400  Thibault Saunier <tsaunier@igalia.com>

	* tests/validate/gst-tester.c:
	  tester: Stop using g_file_new_build_filename
	  It was introduced in GLib 2.56 only
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/560
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/495>

2020-05-04 17:05:07 -0400  Thibault Saunier <tsaunier@igalia.com>

	* tests/meson.build:
	* tests/validate/gst-tester.c:
	* tests/validate/meson.build:
	* tests/validate/simplest.validatetest:
	* tests/validate/simplest/flow-expectations/log-sink-sink-expected:
	  tests: Add a gst-tester utility
	  gst-tester is a tool to launch `.validatetest` files with
	  TAP[0] compatible output and supporting missing `gst-validate`
	  application which means that it can be cleanly integrated with meson
	  test harness.
	  It allows us to use `gst-validate` to write integration tests in any
	  GStreamer repository keeping them as close as possible to the code. It
	  can simplify a lot test writing and reading and not having to go into
	  another repository to implement or run tests makes it more convenient to
	  use.
	  This also implements a stupid simple test to show how that works
	  [0] https://testanything.org/
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/461>

2020-05-19 09:30:50 +0000  Stéphane Cerveau <scerveau@collabora.com>

	* docs/random/moving-plugins:
	  docs: update moving-plugins to use gitlab and meson
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/493>

2020-05-18 10:46:04 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstbin.c:
	  gstbin: Remove mentions of duration caching
	  This was effectively disabled in 1.0 with the intent of maybe re-enabling it.
	  The problem is that caching duration at a bin level doesn't make much sense
	  since there might be queueing/buffering taking place internally and therefore
	  the duration reported might have no correlation to what is actually being
	  outputted.
	  Remove commented code and fixmes, and update documentation
	  Fixes #4
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/489>

2020-05-15 11:48:07 +0000  Thibault Saunier <tsaunier@igalia.com>

	* plugins/elements/gstinputselector.c:
	  input-selector: Ensure events are forwarded only once per pad
	  The code was prepared to do it but was missing to fill the pushed_pads
	  list.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/485>

2020-05-14 17:13:05 -0400  Thibault Saunier <tsaunier@igalia.com>

	* plugins/elements/gstinputselector.c:
	  inputselector: Ensure that events are pushed first on active pad
	  Making it less random and fixing a race in a GES test where we have
	  as pipeline:
	  ```
	  videotestsrc ! output-selector name=s ! input-selector name=i s. ! timecodestamper ! i.
	  ```
	  which we seek, leading to the seek reaching the video testsrc
	  without going through the timecodestamper and generating a buffer
	  even before timecodestamper gets the seek which means that its internal
	  state is wrong compared to the datastream it gets and attaches wrong
	  timecode metas.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/485>

2020-05-15 10:38:30 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	  docs: Add list of interfaces implemented by elements to the docs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/486>

2020-05-13 17:35:01 -0400  Thibault Saunier <tsaunier@igalia.com>

	* libs/gst/helpers/gst_gdb.py:
	  gdb: Print event seqnums, object pointers and structures
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/482>

2020-05-13 17:34:12 -0400  Thibault Saunier <tsaunier@igalia.com>

	* libs/gst/helpers/gst_gdb.py:
	  gdb: Add support for queries and buffers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/482>

2020-05-13 17:07:43 -0400  Thibault Saunier <tsaunier@igalia.com>

	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstinputselector.h:
	  inputselector: Never reset active pad set from the user
	  This was leading to interesting races in a GES test.
	  Related to: https://gitlab.freedesktop.org/gstreamer/gst-editing-services/-/issues/108
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/481>

2020-05-14 12:13:07 +0200  Edward Hervey <edward@centricular.com>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Minor refactoring
	  Move checks related to peerfilter in one place. No impact except for logic.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/484>

2020-05-14 11:32:39 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: Minor list intersection optimization
	  When matching against the 2nd list, increment the starting position of the inner
	  list iteration.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/484>

2020-05-07 21:06:18 +0800  Xu Guangxin <guangxin.xu@intel.com>

	* gst/gstbufferpool.c:
	  bufferpool: unblock acquire thread when we discard buffer
	  else the acquire thread will wait infinitely.
	  The deadlock showed in prevous unit test commit. This will fix it
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/470>

2020-05-11 18:21:48 +0800  Xu Guangxin <guangxin.xu@intel.com>

	* tests/check/gst/gstbufferpool.c:
	  tests: bufferpool: add dead lock test for buffer discard
	  you will see a deadlock after you apply this patch, and run following commandline:
	  GST_STATE_IGNORE_ELEMENTS=1 tests/check/gst_gstbufferpool
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/470>

2020-05-11 22:27:14 -0400  Thibault Saunier <tsaunier@igalia.com>

	* plugins/elements/gstoutputselector.c:
	* plugins/elements/gstoutputselector.h:
	  output-selector: Drop duplicated seek events
	  When we get a seek event on several source pads, we should drop
	  the duplicated ones as any element that has several srcpads (like
	  demuxers).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/478>

2020-05-12 05:58:38 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* tests/check/meson.build:
	  meson: Pass native: false to add_languages()
	  This is needed for cross-compiling without a build machine compiler
	  available. The option was added in 0.54, but we only need this in
	  Cerbero and it doesn't affect older versions so it should be ok.
	  Will just cause a spurious warning.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/477>

2020-05-12 16:42:42 -0400  Thibault Saunier <tsaunier@igalia.com>

	* libs/gst/helpers/gst_gdb.py:
	  gdb: Fix iterating GstStructure fields
	  This broke with 1b568fa01fa16885c3a7368551034c206493a41a where we inlined the array
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/479>

2020-05-10 11:37:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	  docs: Update gst_plugins_cache.json
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/474>

2020-05-10 11:35:53 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst-plugins-doc-cache-generator.py:
	  docs: Output JSON files with UTF-8 encoding
	  Otherwise non-ASCII characters are encoded as \uXXXX.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/474>

2020-05-08 17:21:20 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: Fix segment (de)serialization
	  By using the proper quarks (stored in the indirection table) and not the *enums*
	  of those entry in the quark table.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/473>

2020-05-08 08:03:54 +0200  Edward Hervey <edward@centricular.com>

	* tests/check/gst/gsturi.c:
	  check: uri: Check return value
	  CID #1455381
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/472>

2020-05-08 08:02:12 +0200  Edward Hervey <edward@centricular.com>

	* tests/check/gst/gstvalue.c:
	  check: gstvalue: Check return value
	  As is done everywhere else
	  CID #1455540
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/472>

2020-05-08 07:43:02 +0200  Edward Hervey <edward@centricular.com>

	* tests/check/libs/gsttestclock.c:
	  check: testclock: Check return values
	  As done everywhere else.
	  CID #1455383
	  CID #1455524
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/472>

2020-05-08 07:03:49 +0200  Edward Hervey <edward@centricular.com>

	* tests/check/gst/gstpromise.c:
	  check: gst_promise_reply() takes ownership
	  Copy the structure temporarily to check it further down.
	  CID #1455392
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/472>

2020-05-08 06:49:45 +0200  Edward Hervey <edward@centricular.com>

	* tests/check/gst/gstprintf.c:
	  check: Don't leak test string
	  Turns out the length returned by `__gst_vasprintf()` doesn't include the final
	  `\0`.
	  CID #1455430
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/472>

2020-05-07 23:00:13 +0200  Matej Knopp <matej.knopp@gmail.com>

	* gst/gsttaglist.c:
	* tests/check/gst/gsttag.c:
	  taglist: Fix crash when comparing two lists of the same length but with different items
	  Fixes #549
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/469>

2020-05-07 03:28:59 +1000  Jan Schmidt <jan@centricular.com>

	* tests/check/elements/selector.c:
	  tests/input selector: Fix a shutdown crash
	  Hold a ref to the pad we're planning on sending EOS too, so that
	  it doesn't disappear if things shut down before the thread gets
	  to actually send the EOS event.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/467>

2020-04-28 22:21:13 -0400  Thibault Saunier <tsaunier@igalia.com>

	* plugins/elements/gstidentity.c:
	* plugins/elements/gstidentity.h:
	  identity: Handle seeking with single_segment=True
	  Identity was ignoring seek and flush events even when using
	  a single segment. In the end it means that we couldn't compute
	  buffers running-time and stream time after seeks.
	  This commits adds support for flushing seeks only as I have no idea
	  what to do for non flushing ones.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/450>

2020-04-28 13:28:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* plugins/elements/gstclocksync.c:
	* plugins/elements/gstidentity.c:
	  identity,clocksync: Fix timestamping inside single segment in reverse playback
	  In reverse playback, buffers are played back from buffer.stop
	  (buffer.pts + buffer.duration) to buffer.pts running times which
	  mean that we need to use the buffer end running time as a buffer
	  timestsamp, not the buffer pts when using a single segment in reverse
	  playback.
	  This is now being tested in
	  `validate.test.identity.reverse_single_segment`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/450>

2020-04-23 16:24:15 -0400  Thibault Saunier <tsaunier@igalia.com>

	* libs/gst/base/gstbasesink.c:
	  basesink: Fix clock synchronization running time in reverse playback
	  In reverse playback, buffers have to be displayed at buffer.stop running
	  time, otherwise a same set of buffer can't be displayed in the exact opposite
	  order to forward playback.
	  For example, seeking a video stream at 1fps with start=0, stop=5s, rate=1.0
	  will display the following buffers:
	  b0.pts = 0s, b0.duration = 1s - at running time = 0s
	  b1.pts = 1s, b1.duration = 1s - at running time = 1s
	  b2.pts = 2s, b2.duration = 1s - at running time = 2s
	  b3.pts = 3s, b3.duration = 1s - at running time = 3s
	  b4.pts = 4s, b4.duration = 1s - at running time = 4s
	  <wait at EOS for 1second>
	  Now, playing that reverse with start=0, stop=5s, rate=1.0 has to display
	  the following buffers:
	  b0.pts = 4s, b0.duration = 1s - at running time = 0s
	  b1.pts = 3s, b1.duration = 1s - at running time = 1s
	  b2.pts = 2s, b2.duration = 1s - at running time = 2s
	  b3.pts = 1s, b3.duration = 1s - at running time = 3s
	  b4.pts = 0s, b4.duration = 1s - at running time = 4s
	  <wait at EOS for 1second>
	  With the previous code, it reproduced the following:
	  b0.pts = 4s, b0.duration = 1s - at running time = 1s
	  b1.pts = 3s, b1.duration = 1s - at running time = 2s
	  b2.pts = 2s, b2.duration = 1s - at running time = 3s
	  b3.pts = 1s, b3.duration = 1s - at running time = 4s
	  b4.pts = 0s, b4.duration = 1s - at running time = 5s
	  <NO WAIT AT EOS AND POST EOS RIGHT AWAY>
	  This is being tested with the `validate.launch_pipeline.sink.reverse_playback_clock_waits.*`
	  set of tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/450>

2020-04-23 16:10:24 -0400  Thibault Saunier <tsaunier@igalia.com>

	* libs/gst/base/gstbasesrc.c:
	  basesrc: Fix the way position is computed in reverse playback
	  In reverse playback, buffers are played back from buffer.stop
	  (buffer.pts + buffer.duration) to buffer.pts, which means that the
	  position after the buffer is consumed is buffer.pts, not buffer.pts -
	  buffer.duration.
	  Without that change, and when `automatic_eos` feature is on,
	  we were dropping the last buffers as marking the stream EOS one buffer
	  too soon.
	  This is now being tested extensively by GstValidate in the
	  `validate.test.clock_sync.*` set of tests.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/450>

2020-05-02 12:01:49 +0100  Tim-Philipp Müller <tim@centricular.com>

	* pkgconfig/gstreamer-uninstalled.pc.in:
	* pkgconfig/gstreamer.pc.in:
	  pkgconfig: add pluginscannerdir variable
	  So we can get this in a unified way from installed
	  and uninstalled GStreamer when using pkg-config to
	  set up test environments in other modules.
	  See https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/merge_requests/582
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/456>

2020-05-06 11:59:15 +0200  Edward Hervey <edward@centricular.com>

	* gst/gsttaglist.c:
	  taglist: Make equality check more uniform
	  Previously this was iterating over taglists with ... string names.
	  Instead use the same technique as `gst_structure_is_equal()` with the additional
	  double check.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/466>

2020-05-06 10:07:30 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstregistrybinary.c:
	  registrybinary: Also call fclose() if fflush()/fsync() failed
	  Otherwise we would be leaking the file in error cases.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/465>

2020-05-06 09:59:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstregistrybinary.c:
	  registrybinary: Don't call fclose() more than once
	  We must not retry fclose() on EINTR as POSIX states:
	  After the call to fclose(), any use of stream results in undefined
	  behavior.
	  We ensure above with fflush() and fsync() that everything is written out
	  so chances of running into EINTR are very low. Nonetheless assume that
	  the file can't be safely renamed, we'll just try again on the next
	  opportunity.
	  CID #1462697
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/465>

2020-05-06 08:04:28 +0200  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstqueue2.c:
	  queue2: Use explicit limit checking
	  When we know we'll only be checking the real limits, use a clearer/simpler
	  macro.
	  CID #1037148
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/464>

2020-04-15 17:49:37 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstsegment.h:
	  segment: Enhance the GstSegment structure documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/435>

2020-05-05 13:20:10 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	* docs/plugins/gst_plugins_cache.json:
	  doc: Add signal flags information in the plugin cache
	  Updating the plugin cache file
	  Same behavior as g-ir as the signal flags don't have a GType associated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/463>

2020-05-03 18:50:26 +0200  Richard Kreckel <kreckel@ginac.de>

	* gst/gstregistrybinary.c:
	  registrybinary: Use a FILE* in BinaryRegistryCache...
	  ...instead of a file descriptor so buffered I/O is used when writing
	  the binary cache. This boosts performance at startup, particularly on
	  network filesystems where writes may be quite slow.
	  Fixes gstreamer#545.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/458>

2020-04-23 14:57:59 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstquark.c:
	* gst/gstquark.h:
	* gst/gstvalue.c:
	  gstvalue: Use quark-based structure usage for segment (de)serialization
	  Instead of string-based one. Smaller and faster code
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-04-17 17:14:36 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  value: Handle runtime checks as such
	  The various `g_strdup_printf()` returns values are runtime checks
	  which could be disabled if one wants and therefore should be
	  handled as such with g_return_val_if_fail()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-05-01 15:15:46 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: Remove useless checks
	  The calling function already checks that the values exists and it's
	  a valid list
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-05-01 14:50:52 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: Use previous assumption
	  The types were already checked for equality just before, not need to
	  check for that again
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-05-01 14:48:37 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: Use comparision functions directly
	  We know the types of values, just use the comparision function directly
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-05-01 14:45:28 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	* gst/gstvalue.h:
	  gstvalue: Minor optimization for checks
	  For value types that aren't subclassable, just check the type directly.
	  For flags, compare against the fundamental type directly instead of going through
	  the more expensive recursive check of `G_TYPE_CHECK_VALUE_TYPE()`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-03-23 17:03:51 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: Optimize list subset some more
	  Avoid going through the double subtract function when comparing
	  anything to a list.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-03-23 17:01:20 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: Optimize gst_value_compare_list
	  The compare function only needs to be retrieved once and used
	  directly
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-03-21 13:05:33 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: Avoid temporary allocation
	  The problem is that:
	  * g_value_init will end up allocating an internal list/array
	  * g_value_copy *clears* the existing value by calling the free func
	  and then the copy function (creating it again)
	  To avoid that alloc/free/alloc cycle, directly call the appropriate
	  function
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-03-23 08:20:58 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstcaps.c:
	  gstcaps: Move assignment outside loop
	  s1 and f1 stay the same within the inner loop
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-03-23 08:10:53 +0100  Edward Hervey <edward@centricular.com>

	* gst/gststructure.c:
	  gststructure: inline gst_structure_is_subset()
	  Having direct access to the iteration allows tighter code and
	  also being able to stop earlier.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-03-23 08:06:26 +0100  Edward Hervey <edward@centricular.com>

	* gst/gststructure.c:
	  gststructure: Inline gst_structure_intersect()
	  Having direct access to the iteration allows tighter code and
	  also being able to stop earlier.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/453>

2020-05-05 10:47:07 +0200  Edward Hervey <edward@centricular.com>

	* gst/gst_private.h:
	* gst/gstregistry.c:
	* gst/gstregistrychunks.c:
	  gstregistry: Directly get list of plugin features
	  Previously this was:
	  * iterating and referencing all plugin features in a GList
	  * *then* filtering out the ones we want
	  * Was doing that filtering by name (i.e. `strcmp`) instead of direct pointer
	  comparision
	  Instead, just create a private direct function to get the list of plugin
	  features
	  Uses 4 times less instructions ...
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/462>

2020-05-04 16:51:19 +0000  Rubén Gonzalez <rgonzalez@fluendo.com>

	* gst/gstplugin.c:
	  plugin: Fix typo with GStremaer version:
	  ```
	  has incompatible version (plugin: 1.15, gst: 1,12)
	  ```
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/460>

2020-05-01 15:03:55 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: No longer store same-type intersection functions in table
	  The intersection function table is a legacy of 2005, when one could
	  register random intersection functions. This is no longer the case.
	  The only place where that table was used was:
	  * `gst_value_can_intersect()`, where it was already only used for identical
	  GType
	  * `gst_value_intersect()`, where the table iteration was insanely expensive
	  Instead this patch:
	  * Only stored intersection functions for *different* types (of which there are
	  only 4)
	  * Make gst_value_intersect directly call the same-type intersection functions
	  and only use the table if ever it doesn't match.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/454>

2020-05-01 17:27:07 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstpad.c:
	  gstpad: Simplify task name creation
	  This was going through a few locks and doing temporarily allocations for every
	  single task creation.. just to get a name.
	  We don't need to take locks since:
	  * The parent exists (we have a reference to it)
	  * The pad exists (the task belongs to it)
	  * Changing names of pad/elements when activating is a big no-no
	  Instead use the existing direct GST_DEBUG_PAD_NAME macro
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/455>

2020-05-01 17:30:20 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstevent.c:
	* gst/gstevent.h:
	* gst/gstpad.c:
	  gstevent: Add function for checking event name by GQuark
	  Avoids doing string<=>quark conversions in the sticky event handling path.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/455>

2020-04-17 17:12:10 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstcaps.c:
	  caps: Unify common checks for intersections
	  Regardless of the intersect method chosen, migrate the same checks
	  up into the calling function. Same result, just less code.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/455>

2020-04-15 09:09:22 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstregistry.c:
	  gstregistry: Remove unneeded call
	  _priv_gst_preload_plugins is only filled if option parsing is active.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/455>

2020-05-01 10:19:08 +0200  Edward Hervey <bilboed@bilboed.com>

	* libs/gst/base/gstbasesrc.c:
	  basesrc: Don't get flow name if not needed
	  Put it in the debug call so it's only called when/if needed
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/455>

2020-04-22 10:26:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstclocksync.c:
	* plugins/elements/gstclocksync.h:
	* tests/check/elements/clocksync.c:
	  clocksync: Remove handoff signals
	  They're not really useful on this element and were just a leftover from
	  identity.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/540
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/443>

2020-05-03 16:11:39 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	  aggregator: Mark segment parameter as const in gst_aggregator_update_segment()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/457>

2020-02-24 11:24:16 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tools/gst-stats.c:
	  tools: gst-stats: parse thread-id in windows debug logs properly
	  They don't seem to have the "0x" prefix.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/376>

2020-05-01 10:07:09 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstsystemclock.h:
	* libs/gst/check/gsttestclock.c:
	  Add missing colons to Since markers in the docs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/452>

2020-04-28 00:33:22 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: fix link-like syntax in doc

2020-04-24 12:47:52 +1000  Matthew Waters <matthew@centricular.com>

	* libs/gst/check/gstharness.c:
	  harness: also forward context queries between harnesses
	  Fixes multiple OpenGL contexts being created with a setup like:
	  h = gst_harness_new ("glcolorconvert");
	  gst_harness_add_src (h, "gltestsrc", FALSE);
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/448>

2020-04-22 12:58:35 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Always clear drain flag before pulling
	  In pull mode, each pull is unique. A following pull can be well inside the
	  range even if the previous one wasn't. Fix this my moving the drain flag
	  right before the pull.
	  This avoids passing a bad drain flag to parsers, which may endup truncate
	  buffers causing data corruption.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1275
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/446>

2020-04-23 15:46:48 +1000  Matthew Waters <matthew@centricular.com>

	* pkgconfig/gstreamer-check-uninstalled.pc.in:
	* pkgconfig/gstreamer-check.pc.in:
	* pkgconfig/meson.build:
	  build: libcheck may require linking against rt
	  In static linking scenarios, this is required to avoid this error
	  building tests:
	  /work/prefix/lib/libgstcheck-1.0.a(check_run.c.o): In function `tcase_run_tfun_fork':
	  /work/gstreamer/_builddir/../../../src/gstreamer/libs/gst/check/libcheck/check_run.c:476: undefined reference to `timer_create'
	  /work/gstreamer/_builddir/../../../src/gstreamer/libs/gst/check/libcheck/check_run.c:483: undefined reference to `timer_settime'
	  /work/gstreamer/_builddir/../../../src/gstreamer/libs/gst/check/libcheck/check_run.c:493: undefined reference to `timer_delete'
	  /work/prefix/lib/libgstcheck-1.0.a(check.c.o): In function `check_get_clockid':
	  /work/gstreamer/_builddir/../../../src/gstreamer/libs/gst/check/libcheck/check.c:628: undefined reference to `timer_create'
	  /work/gstreamer/_builddir/../../../src/gstreamer/libs/gst/check/libcheck/check.c:629: undefined reference to `timer_delete'
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/447>

2020-04-22 18:59:54 +0200  Juan Navarro <juan.navarro@gmx.es>

	* gst/gstcaps.c:
	  gstcaps: fix out of bounds checks
	  These two checks could end up allowing out of bounds array access, when
	  the index equals the array size.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/445>

2020-04-21 19:33:08 +1000  Matthew Waters <matthew@centricular.com>

	* gst/gstvalue.c:
	  Revert "gstvalue: Avoid expensive fallback on intersection"
	  This reverts commit cd751c2de39969ab6187eab12e4e8a85e0467cf7.
	  Reverts https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/406
	  Fixes glviewconvert negotiation in e.g.:
	  gltestsrc ! glviewconvert output-mode-override=side-by-side ! glstereosplit name=s s.left ! queue ! fakesink s.right ! queue ! glimagesink
	  Problem here is that intersecting flagsets in gst_value_intersect will
	  always find a value comparison function but may fail a direct type
	  comparison due to flagsets supporting derived types.  When flagset
	  derived types are intersected, an intersection will therefore always
	  fail.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/441>

2020-04-22 20:19:23 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: Fix clock waiting on Windows
	  Add missing parentheses in macro for the divide operation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/444>

2020-04-21 18:14:00 +0100  Charlie Turner <cturner@igalia.com>

	* gst/gstdebugutils.c:
	  debugutils: Skip multiqueue stats in dot dump
	  If this is not done, tools like xdot fail with "unexpected char
	  b'\\'". This is a regression caused by commit
	  74938f07c2a9b3411716fa7595178942c80e20f4 (multiqueue: Add stats
	  property).
	  The deserialized value coming out of g_object_get_property looks like
	  this,
	  $24 = (gchar *) 0x7f560c0046a0 "application/x-gst-multi-queue-stats, queues=(structure)< \\\"queue_0\\\\,\\\\ buffers\\\\=\\\\(uint\\\\)39\\\\,\\\\ bytes\\\\=\\\\(uint\\\\)8
	  120251\\\\,\\\\ time\\\\=\\\\(guint64\\\\)1460000000\\\\;\\\", \\\"queue_1\\\\,\\\\ buffers\\\\=\\\\(uint\\\\)186\\\\,\\\\ bytes\\\\=\\\\(uint\\\\)838020\\\\,\\\\ time\\\\=\
	  \\\(guint64\\\\)1984000002\\\\;\\\" >;"
	  That is immediately looking wrong. I don't know enough about GNOME
	  serialization details to say with confidence what happened here. It
	  gets worse after this is sent through g_strescape and then written to
	  the dot file. Interestingly, dot -Tpng is fine to ignore them it
	  seems.
	  Since the stats are by definition verbose, I decided the best choice
	  to omit them from the dot file, since such details are not of interest
	  there.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/442>

2020-04-20 16:21:10 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst-hotdoc-plugins-scanner.c:
	* gst/gstbin.c:
	* gst/gstchildproxy.c:
	* gst/gstiterator.c:
	* gst/gstpad.c:
	* gst/gstpreset.c:
	* gst/gstregistrychunks.c:
	* gst/gstsystemclock.c:
	* gst/parse/grammar.y.in:
	* libs/gst/base/gstcollectpads.c:
	* tests/benchmarks/complexity.c:
	* tests/benchmarks/mass-elements.c:
	* tests/check/elements/tee.c:
	* tests/check/gst/gstelement.c:
	* tests/check/gst/gstelementfactory.c:
	* tests/check/gst/gstobject.c:
	* tests/check/gst/gstparamspecs.c:
	* tests/check/gst/gstsystemclock.c:
	* tests/check/gst/gsttagsetter.c:
	* tests/check/gst/gsttocsetter.c:
	* tests/check/gst/gsttracerrecord.c:
	* tests/check/pipelines/parse-launch.c:
	* tests/examples/helloworld/helloworld.c:
	* tests/examples/netclock/netclock-client.c:
	* tests/examples/streamiddemux/streamiddemux-stream.c:
	  Use gst_object_unref() / gst_object_clear() instead of the GObject ones
	  To allow the refcounting tracer to work better. In childproxy/iterator
	  these might be plain GObjects but gst_object_unref() also works on them.
	  In other places where it is never GstObject, g_object_unref() is kept.

2020-04-17 11:44:40 +0530  dhilshad <mohddhilshadm@gmail.com>

	* plugins/elements/gstdownloadbuffer.c:
	  downloadbuffer:fix pushing buffer before stream start event
	  downloadbuffer source pad pushes the first buffer before pushing
	  Stream Start and Segment event, when working in Push mode.
	  Fix:Pushing Stream Start and Segment after coming out of
	  wait for data, and before pushing the buffer to next element.
	  Fixes #534

2020-04-17 07:44:55 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstregistrychunks.c:
	  gstregistrychunks: Directly set name on features

2020-04-17 07:44:26 +0200  Edward Hervey <edward@centricular.com>

	* gst/gstobject.c:
	  gstobject: Don't double-notify when setting names
	  If the name is set via the gobject setters, the notificatio will
	  already be emitted.

2020-04-16 11:40:49 +0200  Jan Tojnar <jtojnar@gmail.com>

	* meson.build:
	  build: Install bash-completion relative to datadir
	  Since bash-completion 2.9, it was no longer possible to override
	  the completionsdir through prefix. [1] In 2.10, the overridability
	  was re-estabilished but this time through datadir variable. [2]
	  This should not really matter except for developers installing the project
	  into a custom prefix or distros using per-package prefixes like NixOS.
	  [1]: https://github.com/scop/bash-completion/commit/81ba2c7e7dfbaefbafa1e8615727c9612e5fb314
	  [2]: https://github.com/scop/bash-completion/pull/344

2020-04-15 20:27:36 +1000  Matthew Waters <matthew@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: introduce a minimum wait time
	  There is not point waiting if the time to wait is less than this
	  platform specific value.  The worst case here is GCond usage on windows
	  where the granularity is 1ms.

2020-04-15 17:54:21 +1000  Matthew Waters <matthew@centricular.com>

	* gst/gst_private.h:
	* gst/gstclock.c:
	* gst/gstsystemclock.c:
	* meson.build:
	  gst/systemclock: wait on each entry individually
	  Problem:
	  multiple aggregator elements (audiomixer, compositor) in a live
	  pipeline use a lot of CPU waiting each other up.  This is because
	  of the previously unused clock entry unscheduling during regular
	  operation.
	  Clock entry unscheduling has the potential to wake up every clock entry
	  waiting using the system clock which may be a large number.
	  Solution:
	  Implement waiting per entry and only wakeup the unscheduled entry.
	  While this may be possible using GCond, theoretically GCond only gives
	  us microsecond accuracy and uses relative waits in a number of places.
	  We can unfortunately do better poking at the platform specifics
	  ourselves by using futexes on linux and pthread on other unix.  Windows
	  may have a possible implementation using Waitable timers but that is
	  not implemented here and instead falls back to the GCond implementation.
	  GCond waits on Windows is still as accurate as the previous GstPoll-based
	  implementation.

2020-04-14 15:08:47 +1000  Matthew Waters <matthew@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: log the object name with all debug logs
	  Simplifies correlating logs with clock instances

2020-04-14 14:48:20 +1000  Matthew Waters <matthew@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: move to GCond waiting

2020-04-12 20:33:43 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstvalue.c:
	* tests/check/gst/gstvalue.c:
	  value: Fix segfault comparing empty GValueArrays
	  Adding a test

2020-04-08 22:22:48 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/gstpipeline.c:
	  pipeline: fix base_time selection when flush seeking live
	  When a live pipeline goes to PLAYING, its change_state method
	  is called twice for PAUSED_TO_PLAYING: the first time is
	  from GstElement, when NO_PREROLL is returned, the second
	  is from GstBin, after all async_done messages have been
	  collected.
	  base_time selection is done only the first time, through
	  comparisons with start_time.
	  On the other hand, when this live pipeline gets flush seeked,
	  even though start_time is reset by the sink upon reception
	  of flush_stop(reset_time=TRUE), PAUSED_TO_PLAYING only occurs
	  once, from GstBin, after all async_done messages have been
	  collected. This causes the base_time to be off by <latency>.
	  This commit addresses this by mimicing the behaviour of
	  GstElement on NO_PREROLL, and calling the change_state
	  method manually when the following conditions are met:
	  * The pipeline is live
	  * The target state is PLAYING

2020-04-09 16:38:23 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: Add current-level-{buffers, bytes, time} pad properties
	  To get the current buffers/bytes/time levels of the corresponding
	  internal queue

2020-04-09 13:12:22 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: Add stats property
	  The returned "stats" structure contains, for now, one array called
	  "queues" with one GstStructure per internal queue, containing said
	  queue's current level of bytes, buffers, and time.

2020-04-08 12:09:10 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* meson.build:
	* meson_options.txt:
	  Meson: Change extra-checks to feature option and make it yielding

2020-04-08 17:53:17 +1000  Jan Schmidt <jan@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	* tests/check/libs/baseparse.c:
	  baseparse: Don't return more data than asked for in pull_range()
	  Even when pulling a new 64KB buffer from upstream, don't return
	  more data than was asked for in the pull_range() method and then
	  return less later, as that confused subclasses like h264parse.
	  Add a unit test that when a subclass asks for more data, it always
	  receives a larger buffer on the next iteration, never less.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/530

2020-04-06 18:14:12 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* plugins/elements/gstdownloadbuffer.c:
	* plugins/elements/gstmultiqueue.c:
	* plugins/elements/gstqueue2.c:
	  downloadbuffer, multiqueue, queue2: Fix watermark docs
	  It is not explicitly specified anywhere in the docs that 0% buffering is
	  at low-watermark and 100% buffering is at high-watermark. It was
	  specified only in the sources.

2020-04-02 13:45:48 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpad.c:
	  pad: Add a guard against getrange functions not filling a caller-provided buffer
	  It's a programming error to not do so and would cause all kinds of
	  problems in the caller that assumed its own buffer to have been filled.

2020-01-31 11:32:10 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/gsttask.c:
	* gst/gsttask.h:
	* tests/check/gst/gsttask.c:
	  task: Introduce gst_task_resume() API
	  This new API allow resuming a task if it was paused, while leaving it to
	  stopped stated if it was stopped or not started yet. This new API can be
	  useful for callback driver workflow, where you basically want to pause and
	  resume the task when buffers are notified while avoiding the race with a
	  gst_task_stop() coming from another thread.

2020-04-01 15:41:49 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* tools/gst-launch.c:
	  gst-launch: go back down to GST_STATE_NULL in one step.
	  Going through each state on the way back down to GST_STATE_NULL
	  can cause deadlocks, for example:
	  gst-launch-1.0 audiotestsrc ! valve drop=true ! autoaudiosink
	  ctrl + C
	  Hangs forever when going to PAUSED, because the "final" state is
	  ASYNC, and the sink blocks waiting for a preroll buffer.
	  Going straight to NULL addresses this issue, and also helps
	  making teardown faster when piping sparse streams to a
	  sync sink.

2020-04-01 02:36:40 +1100  Jan Schmidt <jan@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	* tests/check/libs/baseparse.c:
	  baseparse: Fix upstream read caching
	  When running in pull mode (for e.g. mp3 reading),
	  baseparse currently reads 64KB from upstream, then mp3parse
	  consumes typically around 417/418 bytes of it. Then
	  on the next loop, it will read a full fresh 64KB again,
	  which is a big waste.
	  Fix the read loop to use the available cache buffer first
	  before going for more data, until the cache drops to < 1KB.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/issues/518

2020-04-01 02:46:52 +1100  Jan Schmidt <jan@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Fix typo

2020-03-31 19:05:30 +0900  Seungha Yang <seungha@centricular.com>

	* plugins/elements/gstelements_private.c:
	  filesink: Fix for updating the index of memory to write in the next iteration
	  current_buf_mem_idx stands for the index of memory of the corresponding
	  buffer which is scheduled to be written in the next iteration.
	  If all memory objects were scheduled to be written in the current
	  iteration, reset the index to zero so that starting from the first
	  memory object of the next buffer.

2020-03-28 16:20:51 +0900  Seungha Yang <seungha@centricular.com>

	* plugins/elements/gstelements_private.c:
	  filesink: Fix crash caused by zero-size memory allocation
	  If size of vector is greater than one, we are allocating zero-size
	  memory and trying invalid memcpy operation

2019-11-22 23:55:56 +1100  Jan Schmidt <jan@centricular.com>

	* gst/gstsegment.c:
	  gstsegment: Refuse instant-rate seeks in gst_segment_do_seek()
	  Elements that pass a seek with INSTANT_RATE flag to
	  gst_segment_do_seek() haven't been updated and we should
	  refuse the seek.

2019-11-22 23:53:59 +1100  Jan Schmidt <jan@centricular.com>

	* libs/gst/base/gstbasesrc.c:
	  basesrc: Check the return value of gst_segment_do_seek()
	  Don't assume that a given seek succeeds - check the return result.

2020-03-20 19:28:37 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstfilesink.c:
	* plugins/elements/gstfilesink.h:
	  filesink: Add a new full buffer mode to filesink
	  Previously the default and full modes were the same. Now the default
	  mode is like before: it accumulates all buffers in a buffer list until
	  the threshold is reached and then writes them all out, potentially in
	  multiple writes.
	  The new full mode works by always copying memory to a single memory area
	  and writing everything out with a single write once the threshold is
	  reached.

2020-03-20 18:48:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstelements_private.c:
	* plugins/elements/gstelements_private.h:
	  filesink/fdsink: Write 1 iovec directly without copying if there's no writev() support

2020-03-20 18:43:30 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstelements_private.c:
	* plugins/elements/gstelements_private.h:
	* plugins/elements/gstfdsink.c:
	* plugins/elements/gstfilesink.c:
	  fdsink/filesink: Refactor writev() code to prevent stack overflows
	  If buffer lists with too many buffers would be written before, a stack
	  overflow would happen because of memory linear with the number of
	  GstMemory would be allocated on the stack. This could happen for example
	  when filesink is configured with a very big buffer size.
	  Instead now move the buffer and buffer list writing into the helper
	  functions and at most write IOV_MAX memories at once. Anything bigger
	  than that wouldn't be passed to writev() anyway and written differently
	  in the previous code, so this also potentially speeds up writing for
	  these cases.
	  For example the following pipeline would crash with a stackoverflow:
	  gst-launch-1.0 audiotestsrc ! filesink buffer-size=1073741824 location=/dev/null

2020-03-25 20:23:17 +1100  Matthew Waters <matthew@centricular.com>

	* libs/gst/base/gstflowcombiner.c:
	* tests/check/libs/flowcombiner.c:
	  flowcombiner: passthrough the flow return if there are no pads
	  What may happen is that during the course of processing a buffer,
	  all of the pads in a flow combiner may disappear.  In this case, we
	  would return NOT_LINKED.  Instead return whatever the input flow return
	  was.

2018-04-10 18:09:18 +0200  Jose Antonio Santos Cadenas <santoscadenas@gmail.com>

	* gst/gstinfo.h:
	  gstinfo: Check threshold for category from macro
	  This way we can avoid to process parameters if log is not going
	  to be printed.

2020-03-24 15:00:03 +1100  Matthew Waters <matthew@centricular.com>

	* docs/gst/running.md:
	  docs/running: be consistent with ordering of full-stops inside ``
	  Everywhere else places the period outside.

2020-03-23 12:28:12 +0100  Jan Alexander Steffens (heftig) <jsteffens@make.tv>

	* gst/gststructure.c:
	  gststructure: Fix gst_structure_take ownership handling
	  The old code would leave a dangling pointer in oldstr_ptr if two threads
	  attempted to take the same structure into the same location at the same
	  time:
	  1. First "oldstr == newstr" check (before the loop) fails.
	  2. Compare-and-exchange fails, due to a second thread completing the
	  same gst_structure_take.
	  3. Second "oldstr == newstr" check (in the loop) succeeds, loop breaks.
	  4. "oldstr" check succeeds, old structure gets freed.
	  5. oldstr_ptr now contains a dangling pointer.
	  This shouldn't happen in code that handles ownership sanely, so check
	  that we don't try to do this and complain loudly.
	  Also simplify the function by using a do-while loop, like
	  gst_mini_object_take.
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/413

2020-03-23 12:36:01 +0100  Jan Alexander Steffens (heftig) <jsteffens@make.tv>

	* gst/gst_private.h:
	  gstdeviceproviderfactory: Remove volatile from provider storage
	  Avoids a few compiler warnings:
	  ../subprojects/gstreamer/gst/gstdeviceproviderfactory.c: In function ‘gst_device_provider_factory_finalize’:
	  ../subprojects/gstreamer/gst/gstdeviceproviderfactory.c:96:12: warning: assignment discards ‘volatile’ qualifier from pointer target type [-Wdiscarded-qualifiers]
	  96 |   provider = g_atomic_pointer_get (&factory->provider);
	  |            ^
	  ../subprojects/gstreamer/gst/gstdeviceproviderfactory.c: In function ‘gst_device_provider_factory_get’:
	  ../subprojects/gstreamer/gst/gstdeviceproviderfactory.c:276:19: warning: assignment discards ‘volatile’ qualifier from pointer target type [-Wdiscarded-qualifiers]
	  276 |   device_provider = g_atomic_pointer_get (&newfactory->provider);
	  |                   ^
	  ../subprojects/gstreamer/gst/gstdeviceproviderfactory.c:309:21: warning: assignment discards ‘volatile’ qualifier from pointer target type [-Wdiscarded-qualifiers]
	  309 |     device_provider = g_atomic_pointer_get (&newfactory->provider);
	  |
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/414

2020-03-22 09:47:35 +0100  Ondřej Hruška <ondra@ondrovo.com>

	* gst/gstdatetime.c:
	* tests/check/gst/gstdatetime.c:
	  gstdatetime: Add missing NULL check to gst_date_time_new_local_time
	  Also add a unit test for this.
	  Fixes #524

2020-03-20 09:11:02 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstregistrychunks.c:
	* meson.build:
	  registrychunks: Use strnlen if available
	  When this `_strnlen` internal method was added, strnlen (in glibc)
	  was not available yet (appeared in 2.10 it was released that same
	  year).
	  If available, use the much more optimized strnlen

2020-03-20 16:32:07 +0200  Sebastian Dröge <sebastian@centricular.com>

	* meson.build:
	  filesink: Check for sys/uio.h so we can actually use writev()

2020-03-19 11:20:14 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: Avoid expensive fallback on intersection
	  The type checks at the end of `gst_value_intersect` to call the flagset
	  intersection are relatively expensive.
	  If we already know that:
	  * There was a compare function but it didn't return GST_VALUE_EQUAL
	  * AND none of the registered intersect functions failed
	  Then we know they can't intersect and can return early.
	  Trims ~20% of the instruction calls

2020-03-18 09:43:27 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: Optimize some list<=>list functions
	  For subtracting a list from another, the previous implementation would
	  do a double subtraction of one from another (which would create temporary
	  arrays/values which would then be discarded). Instead iterate and do
	  the comparision directly.
	  For intersecting a list with another, we can directly iterate both at
	  once and therefore avoid doing a *full* check of all values of the list
	  against all other values of the list.

2020-03-18 09:39:35 +0100  Edward Hervey <edward@centricular.com>

	* gst/gststructure.c:
	* gst/gstvalue.c:
	* gst/gstvalue.h:
	  gstvalue: Inline GstValueList/GstValueArray
	  This tries to inline as much as possible array/list and its contents
	  in order to avoid double allocation/freeing. This also improves the
	  locality of data.
	  The internal value is still API/ABI compatible with the *public*
	  GArray structure. This allows READ-ONLY backwards compatibility with
	  any external users that assume that the content of a list/array value
	  is backed by a GArray.

2020-03-03 15:36:26 +0100  Miguel Paris <mparisdiaz@gmail.com>

	* gst/gstbufferlist.c:
	* tests/check/gst/gstbufferlist.c:
	  bufferlist: foreach: always remove as parent if buffer is changed
	  In case the buffer is not writable, the parent (the BufferList) is not
	  removed before calling func. So if it is changed, the parent (the BufferList)
	  of the previous buffer should be removed after calling func.

2020-03-18 11:10:13 +0100  Edward Hervey <edward@centricular.com>

	* gst/gstbufferlist.c:
	  bufferlist: Add check for overflow

2020-03-10 18:14:57 +0100  Edward Hervey <edward@centricular.com>

	* gst/gststructure.c:
	  gststructure: Optimize pre-allocation of structures
	  For all the structure creation using valist/varargs we calculate
	  the number of fields we will need to store. This ensures all callers
	  will end up with a single allocation.

2020-03-10 18:13:09 +0100  Edward Hervey <edward@centricular.com>

	* gst/gststructure.c:
	  gststructure: Inline array and contents
	  Instead of having 3 allocations:
	  * One for GstStructure
	  * One for GArray
	  * One for the array *within* GArray
	  We try to limit this to a single allocation, inlining everything. This
	  reduces the number of micro-allocations and improves locality of data
	  access.

2020-03-13 16:41:52 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstvalue.c:
	* tests/check/gst/gstvalue.c:
	  value: Handle NULL caps for comparisons
	  Having a NULL caps in a GValue is legal and we should handle it
	  properly for comparisons.

2020-03-13 12:14:08 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* plugins/elements/gstidentity.c:
	  identity: Fix a minor leak using meta_str

2020-03-11 15:19:45 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstvalue.c:
	* tests/check/gst/gstvalue.c:
	  value: Refactor parsing lists to allow trailing comas
	  Before that commit `{test, }` wouldn't be accepted as an array
	  because of the trailing coma, the commit fixes that.
	  At the same time, the code has been refactored to avoid special casing
	  the first element of the list, making `{,}` or `<,>` valid lists.

2020-02-10 18:29:41 +0530  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* gst/gstclock.h:
	  clock: remove documentation link on GTimeVal
	  Looks like it's been removed from glib.devhelp2 on Fedora 31.
	  Fix #508

2020-03-11 22:39:35 +1100  Matthew Waters <matthew@centricular.com>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: allow not passthrough if generate_output is implemented
	  This allows an element to not require implementing transform or
	  transform_ip.

2020-03-09 21:32:28 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstclocksync.c:
	  clocksync: Use g_cond_signal() instead of g_cond_broadcast()
	  There can only be a single waiter: on the streaming thread.

2020-03-09 21:31:48 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstidentity.c:
	  identity: Use g_cond_signal() instead of g_cond_broadcast()
	  There can only be a single waiter: on the streaming thread.

2020-03-09 20:27:58 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstidentity.c:
	  identity: Unblock condition variable on FLUSH_START
	  ... and immediately return FLUSHING from the streaming thread instead of
	  waiting potentially forever.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/issues/516

2020-03-09 15:17:08 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: Don't start the system clock at 0 on Windows
	  We kept the start time around and subtracted it everywhere for "easy of
	  debugging", but we don't do anything like this anywhere else and it
	  only complicates the code unnecessarily.

2020-03-09 15:16:00 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstsystemclock.c:
	  systemclock: Don't divide by zero on Windows if high performance timers are not available

2020-03-07 11:09:05 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstcaps.c:
	* tests/check/gst/gstcaps.c:
	  caps: Don't assert in fixate() on EMPTY/ANY caps and document EMPTY/ANY behaviour on more functions
	  fixate() will return empty caps if it gets empty caps passed and assert
	  early if any caps are provided as there's no meaningful way of fixating
	  any caps.
	  truncate() and simplify() will return the input caps in case of
	  any/empty caps as before, but slightly optimized and as documented
	  behaviour.
	  Also add tests for this and a few other operations behaviour on
	  empty/any caps.

2020-03-04 22:13:12 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	  gstaggregator: fix the prototype of sink_event_pre_queue
	  This is not an API breakage, as implementors are already
	  expected to return a GstFlowReturn

2020-03-03 18:49:36 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* tools/gst-launch.c:
	  gst-launch: Follow up to missing s/g_print/gst_print/g
	  Required to avoid broken log string on Windows but missed
	  in the commit of 493a3261a9757b5ade7aec289eb07221966f9eed

2020-02-29 19:00:44 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* tests/check/gst/gstinfo.c:
	  tests: info: Fix thread-id pattern matching on Windows
	  The format modifier for thread-id prints hex value without "0x" prefix on Windows.

2020-01-26 00:56:44 +0000  Tim-Philipp Müller <tim@centricular.com>

	* plugins/tracers/gstrusage.c:
	* plugins/tracers/gstrusage.h:
	  tracers: rusage: use thread-local storage for per-thread stats
	  .. instead of looking things up by thread id from a GHashTable,
	  which also happens to have no locking around insertion/lookup.

2020-01-26 00:32:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* plugins/tracers/gstrusage.c:
	  tracers: rusage: fix minor string leak in constructor

2019-11-02 11:49:25 +0100  Johan Bjäreholt <johan@bjareho.lt>

	* tools/gst-stats.c:
	  gst-stats: Fix missing NULL checks
	  gst-inspect-1.0 segfaults on tracing logs where it fails to find
	  element stats. So on the pipelines where we get the following WARNING
	  during execution will afterwards crash with a segfault as the
	  g_ptr_array has a index for it but it is just a NULL pointer.
	  WARN default gst-stats.c:444:do_message_stats: no element stats found for ix=X
	  An example of an pipeline which can reproducibly create a trace log
	  where this occurs would be this
	  GST_DEBUG="GST_TRACER:7" GST_TRACERS="stats;rusage;latency" gst-launch-1.0 videotestsrc num-buffers=120 ! autovideosink &> trace.log
	  gst-stats-1.0 trace.log

2020-02-24 15:24:44 -0500  Olivier Crête <olivier.crete@collabora.com>

	* libs/gst/base/gstbasesink.c:
	  basesink: Improve clarity of latency query maths debug message
	  Add the equation to the debug message to make it easier for non-GStreamer
	  experts to understand why their pipeline has latency.

2020-02-26 17:20:04 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* tests/misc/netclock-replay.c:
	  tests: Maintain compatibility with GLib 2.48
	  That's the minimum version of GLib we require right now.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/issues/514

2020-02-25 04:47:35 +1100  Jan Schmidt <jan@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* plugins/elements/gstclocksync.c:
	* plugins/elements/gstclocksync.h:
	* plugins/elements/gstelements.c:
	* plugins/elements/meson.build:
	* tests/check/elements/clocksync.c:
	* tests/check/meson.build:
	  clocksync: Add new clocksync element
	  The clocksync element is a generic element that can be
	  placed in a pipeline to synchronise passing buffers to the
	  clock at that point. This is similar to 'identity sync=true',
	  but because it isn't GstBaseTransform-based, it can process
	  GstBufferLists without breaking them into separate GstBuffers

2020-02-26 22:29:43 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* tools/gst-inspect.c:
	  gst-inspect: Add define guard for g_log_writer_supports_color()
	  g_log_writer_supports_color() was introduced since GLib 2.50.0
	  which is slightly higher version than our minimum required GLib version.

2020-02-25 19:13:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* tests/misc/netclock-replay.c:
	* tools/gst-stats.c:
	  Don't use glib format modifiers with sscanf or printf
	  We do not have a way to know the format modifiers to use with string
	  functions provided by the system. `G_GUINT64_FORMAT` and other string
	  modifiers only work for glib string formatting functions. We cannot
	  use them for string functions provided by the stdlib. See:
	  https://developer.gnome.org/glib/stable/glib-Basic-Types.html#glib-Basic-Types.description
	  F.ex.:
	  ```
	  ../tools/gst-stats.c:921:11: error: too many arguments for format [-Werror=format-extra-args]
	  printf ("Number of Buffers passed: %" G_GUINT64_FORMAT "\n", num_buffers);
	  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	  ../tools/gst-stats.c:922:11: error: unknown conversion type character 'l' in format [-Werror=format=]
	  printf ("Number of Events sent: %" G_GUINT64_FORMAT "\n", num_events);
	  ^~~~~~~~~~~~~~~~~~~~~~~~~~
